document.addEventListener("articleLoad",function(evt) {  
	if (evt.param == "_accident_help") {
		softsure.runningData = {};
                
		if (softsure.incedentDiary === undefined) 
                {
                    softsure.incedentDiary = [];
                }
		
                var today = new Date();
                
                //Populate Months
                $$("#article-_accident_help .monthspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 12; k++)
		{
			if (k == today.getMonth()) 
                        {
                            $$("#article-_accident_help .monthspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else 
                        {
                            $$("#article-_accident_help .monthspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_accident_help .monthspinner").append("<li>&nbsp;</li>");
                
                //Populate Days
                $$("#article-_accident_help .dayspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 31; k++)
		{
			if (k+1 == today.getDate()) 
                        {
                            $$("#article-_accident_help .dayspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else 
                        {
                            $$("#article-_accident_help .dayspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_accident_help .dayspinner").append("<li>&nbsp;</li>");
                
                softsure.runningYearStart = (today.getFullYear())-1999;
		softsure.runningYearEnd = softsure.runningYearStart - 1;
                
                //Populate years
                $$("#article-_accident_help .yearspinner").html("<li>&nbsp;</li>");

                var currYear = today.getFullYear();
                
                for(var i = 1; i >= 0; i--)
                {
                    if ((currYear - i) % 100 == today.getFullYear()-2000) 
                    {
                        $$("#article-_accident_help .yearspinner").append("<li class='selected'>"+((currYear - i) %100)+"</li>");
                    }
                    else 
                    {
                        $$("#article-_accident_help .yearspinner").append("<li>"+((currYear - i) %100)+"</li>");
                    }
                }
                
                //Blank at bottom of list
                $$("#article-_accident_help .yearspinner").append("<li>&nbsp</li>");

		$$("#article-_accident_help .pager.date .panelbox .header").html(today.toDateString());

                //Populate hours
                $$("#article-_accident_help .hourspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 24; k++)
		{
                    var number = ""+k;
                        
                    if (number.length == 1) 
                    {
                        number = "0"+number;
                    }
                        
                    if (k == today.getHours()) 
                    {
                        $$("#article-_accident_help .hourspinner").append("<li class='selected'>"+(number)+"</li>");
                    }
                    else 
                    {
                        $$("#article-_accident_help .hourspinner").append("<li>"+(number)+"</li>");
                    }
		}
                
                $$("#article-_accident_help .hourspinner").append("<li>&nbsp;</li>");
                
                //Populate Minutes
                $$("#article-_accident_help .minutespinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 60; k++)
		{
                    var number = ""+k;
                        
                    if (number.length == 1) 
                    {
                        number = "0"+number;
                    }
                        
                    if (k == today.getMinutes()) 
                    {
                        $$("#article-_accident_help .minutespinner").append("<li class='selected'>"+(number)+"</li>");
                    }
                    else 
                    {
                        $$("#article-_accident_help .minutespinner").append("<li>"+(number)+"</li>");
                    }
		}
                
                $$("#article-_accident_help .minutespinner").append("<li>&nbsp;</li>");
        
		var time = ""+today.getMinutes();
                
		if (time.length == 1)
                {
                    time = "0"+time;
                }
                
		time =  today.getHours()+":"+time;
                
		if (time.length == 4) 
                {
                    time = "0"+time;
                }
                
		$$("#article-_accident_help .pager.time .panelbox .header").html(time);
		
                //Setup Google Maps Location
		softsure.lastCoordinates = "Unknown";
                
		navigator.geolocation.getCurrentPosition(function(pos) {
                    softsure.lastCoordinates = ""+pos.coords.latitude+", "+pos.coords.longitude;
			var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			if (myLocation !== "") softsure.runningData.map.panTo(myLocation);
			softsure.runningData.map.setZoom = 15;
		},function(){},{ maximumAge: 2000, enableHighAccuracy: true });
                
                                
		if (softsure.runningData.map == null) {
                    softsure.runningData.map = new google.maps.Map($$("#article-_accident_help .pager.map .panelbox")[0], {
                    mapTypeId: google.maps.MapTypeId.ROADMAP,
                    zoom: 15,
                    mapTypeControl: false,
                    streetViewControl: false,
                    overviewMapControl: false,
                    panControl: false,
                    scaleControl: false,
			
                    });
		}
                
		$$("#article-_accident_help .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
                    evt.stopImmediatePropagation();
		},false);
                
                var bottom = ($$("#article-_accident_help .pager.map .panelbox")[0].clientHeight/2)-8;
                var left = ($$("#article-_accident_help .pager.map .panelbox")[0].clientWidth/2)-16;
                
                $$("#article-_accident_help .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
                
                ///CLICKING DATE DIV IN ACCIDENT RECORD INCIDENT
                $$("#article-_accident_help .dateblock").on('touchend',function(evt) 
                {
                    //Before allowing date selection, unhide date div
                    $$(".accidentDate").show();
                    
                    if (softsure.runningData.currentIncedent.date === undefined) 
                    {
                        var today = new Date();
                        setTimeout(function() 
                        {
                            $$("#article-_accident_help .yearspinner")[0].scrollTop = 
                                    $$("#article-_accident_help .yearspinner")[0].scrollHeight-($$("#article-_accident_help .monthspinner > li")[0].clientHeight);
                            $$("#article-_accident_help .yearspinner > li").removeClass("selected");
                            $$("#article-_accident_help .yearspinner > li")[2].classList.add("selected");
                            
                            $$("#article-_accident_help .monthspinner")[0].scrollTop = (today.getMonth())*$$("#article-_accident_help .monthspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .monthspinner > li").removeClass("selected");
                            $$("#article-_accident_help .monthspinner > li")[today.getMonth()+1].classList.add("selected");
                            
                            $$("#article-_accident_help .dayspinner")[0].scrollTop = (today.getDate()-1)*$$("#article-_accident_help .dayspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .dayspinner > li").removeClass("selected");
                            $$("#article-_accident_help .dayspinner > li")[today.getDate()].classList.add("selected");
                        },1);
                    } 
                    else 
                    {
                        var date = softsure.runningData.currentIncedent.date;
                        
                        setTimeout(function() {
                            //1 represents first year item (last year)
                            var yearmarker = 1;
                            var today = new Date();
                            
                            if(today.getFullYear() === date.getFullYear())
                            {
                                //2 represents second year item (current year)
                                yearmarker = 2;
                            }
                            
                            $$("#article-_accident_help .yearspinner")[0].scrollTop = (yearmarker - 1) * $$("#article-_accident_help .yearspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .yearspinner > li").removeClass("selected");
                            $$("#article-_accident_help .yearspinner > li")[yearmarker].classList.add("selected");
                            
                            $$("#article-_accident_help .monthspinner")[0].scrollTop = (date.getMonth()) * $$("#article-_accident_help .monthspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .monthspinner > li").removeClass("selected");
                            $$("#article-_accident_help .monthspinner > li")[date.getMonth()+1].classList.add("selected");
                            
                            $$("#article-_accident_help .dayspinner")[0].scrollTop = (date.getDate()-1)*$$("#article-_accident_help .dayspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .dayspinner > li").removeClass("selected");
                            $$("#article-_accident_help .dayspinner > li")[date.getDate()].classList.add("selected");
                        },1);
                    }
                    
                    app.subNext(this,"date");
		});
		
                ///CLICKING TIME DIV IN ACCIDENT RECORD INCIDENT
		$$("#article-_accident_help .timeblock").on('touchend',function(evt) {
                    //Before allowing time selection, enable time div
                    $$(".accidentTime").show();
                        
                    if (softsure.runningData.currentIncedent.time === undefined) {
                        var today = new Date();
                        setTimeout(function() {
                            $$("#article-_accident_help .hourspinner")[0].scrollTop = (today.getHours())*$$("#article-_accident_help .hourspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .minutespinner")[0].scrollTop = (today.getMinutes())*$$("#article-_accident_help .minutespinner > li")[0].clientHeight;
                        },1);
                    } 
                    else 
                    {
                        var time = softsure.runningData.currentIncedent.time.split(":");
                        setTimeout(function() {
                            $$("#article-_accident_help .hourspinner")[0].scrollTop = parseInt(time[0])*$$("#article-_accident_help .hourspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .hourspinner > li").removeClass("selected");
                            $$("#article-_accident_help .hourspinner > li")[parseInt(time[0])+1].classList.add("selected");
                            $$("#article-_accident_help .minutespinner")[0].scrollTop = parseInt(time[1])*$$("#article-_accident_help .minutespinner > li")[0].clientHeight;
                            $$("#article-_accident_help .minutespinner > li").removeClass("selected");
                            $$("#article-_accident_help .minutespinner > li")[parseInt(time[1])+1].classList.add("selected");
                        },1);
                    }
                        
                    app.subNext(this,"time");
		});
		
		if (softsure.incedentDiary) 
                {
                    var itemTime;
                    
                    for(var k = 0; k < softsure.incedentDiary.length; k++) 
                    {
                        itemTime = softsure.incedentDiary[k].time;
                        
                        if (typeof softsure.incedentDiary[k].date == "string") 
                        {
                            softsure.incedentDiary[k].date = new Date(softsure.incedentDiary[k].date);
                        }
                        
                        softsure.incedentDiary[k].date.setHours(itemTime.substring(0, itemTime.indexOf(":")));
                        softsure.incedentDiary[k].date.setMinutes(itemTime.substring(itemTime.indexOf(":") + 1));
                        
                        $$("#article-_accident_help .pager.incedent_diary .panelbox").append("<div class='button required incedent' data-id='" + 
                            softsure.incedentDiary[k].index+"'><div class='gloss'></div><div class='text'>"+softsure.incedentDiary[k].date+ " " + 
                            "</div></div>");
                    }
                }
		
		$$("input[readonly]").on('touchend',softsure.tickerTouch);
	}
});

//CONTINUE
$$("#article-_accident_help .request_ambulance").touch(function(evt) 
{
    
});

$$("#article-_accident_help .incident_diary").touch(function(evt)
{
    app.subNext(this,"incedent_diary");
});

$$("#article-_accident_help .request_towtruck").touch(function(evt) 
{

});

$$("#article-_accident_help .pager.incedent_diary .bottombutton.add").touch(function(evt)
{
    softsure.runningData.currentIncedent = {};
    softsure.runningData.currentIncedent.thirdParties = [];
    softsure.runningData.currentIncedent.images = [];
    
    $$("#article-_accident_help .pager.thirdparty .panelbox").html("");
    $$("#article-_accident_help .pager.record_incident .required").removeClass("filled");
    $$("#article-_accident_help .pager.location_and_date .required").removeClass("filled");
    $$("#article-_accident_help .pager.location_and_date input").val("");
    
    app.subNext(this,"record_incident");
});


$$("#article-_accident_help .location_and_date.button").touch(function(evt)
{
    app.subNext(this,"location_and_date");
});

$$("#article-_accident_help .get_location").touch(function(evt) 
{
    app.subNext(this,"map");
});

$$("#article-_accident_help .button.thirdparty").touch(function(evt)
{
    app.subNext(this,"thirdparty");
});

//UPDATE DATE HEADER AS YEAR, MONTH, OR DAY SPINNER CHANGES
$$("#article-_accident_help .pager.date .spinner").swipe(function(evt)
{
    var dateString = "";
    
    if (parseInt($$("#article-_accident_help .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100))
    {
        dateString += "19";
    }
    else 
    {
        dateString += "20";
    }
    
    if ($$("#article-_accident_help .pager.date .yearspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }

    dateString += $$("#article-_accident_help .pager.date .yearspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .monthspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }
    
    dateString += $$("#article-_accident_help .pager.date .monthspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .dayspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }

    dateString += $$("#article-_accident_help .pager.date .dayspinner .selected").html();
    
    var date = new Date(Date.parse(dateString));
    $$("#article-_accident_help .pager.date .panelbox .header").html(date.toDateString());
});

//UPDATE SELECTED DATE ON LOCATION AND DATE DIV
$$("#article-_accident_help .pager.date .bottombutton.done").touch(function(evt)
{
    var dateString = "";

    if (parseInt($$("#article-_accident_help .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100))
    {
        dateString += "19";
    }
    else 
    {
        dateString += "20";
    }
	
    if ($$("#article-_accident_help .pager.date .yearspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }
    
    dateString += $$("#article-_accident_help .pager.date .yearspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .monthspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }
   
    dateString += $$("#article-_accident_help .pager.date .monthspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .dayspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }

    dateString += $$("#article-_accident_help .pager.date .dayspinner .selected").html();

    var date = new Date(Date.parse(dateString));
    softsure.runningData.currentIncedent.date = date;

    $$("#article-_accident_help .pager.location_and_date .dateinput").val(date.toDateString());
    
    //Hide Date and Time for performance
    HideAccDateTime();
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

//UPDATE TIME HEADER AS HOUR AND MINUTE SPINNER CHANGES
$$("#article-_accident_help .pager.time .spinner").swipe(function(evt)
{
    var time =$$("#article-_accident_help .pager.time .minutespinner .selected").html();
    
    if (time.length == 1) 
    {
        time = "0"+time;
    }

    time =  $$("#article-_accident_help .pager.time .hourspinner .selected").html()+":"+time;
    
    if (time.length == 4) time = "0"+time;
    {
	$$("#article-_accident_help .pager.time .panelbox .header").html(time);
    }
});

//UPDATE SELECTED TIME ON LOCATION AND DATE DIV
$$("#article-_accident_help .pager.time .bottombutton.done").touch(function(evt)
{
    var time =$$("#article-_accident_help .pager.time .minutespinner .selected").html();
    
    if (time.length == 1)
    {
        time = "0"+time;
    }
    
    time =  $$("#article-_accident_help .pager.time .hourspinner .selected").html()+":"+time;

    if (time.length == 4) time = "0"+time;
    {
	softsure.runningData.currentIncedent.time = time;
    }
    
    $$("#article-_accident_help .pager.location_and_date .timeinput").val(time);
    
   //Hide Date and Time for performance
    HideAccDateTime();
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

//UPDATE THE MAP COORDINATES ON LOCATION AND DATE DIV
$$("#article-_accident_help .pager.map .bottombutton.done").touch(function(evt)
{
    $$("#article-_accident_help .pager.location_and_date .latinput").val(softsure.runningData.map.getCenter().lat());
    $$("#article-_accident_help .pager.location_and_date .longinput").val(softsure.runningData.map.getCenter().lng());
    
    softsure.runningData.currentIncedent.lat = softsure.runningData.map.getCenter().lat();
    softsure.runningData.currentIncedent.lon = softsure.runningData.map.getCenter().lng();

    var ref = $$.get('http://maps.googleapis.com/maps/api/geocode/json?latlng=' + softsure.runningData.map.getCenter().lat() + 
        ', '+ softsure.runningData.map.getCenter().lng() + '&sensor=false',null, function(response){
            var locres = JSON.parse(response.response);
            
            if (locres != null && locres.status === "OK")
            {
                $$("#article-_accident_help .pager.location_and_date .locinput").val(locres.results[0].formatted_address+"");
                softsure.runningData.currentIncedent.loc = locres.results[0].formatted_address+"";
            }
	},'json');
        
	$$("#article-_accident_help .pager.location_and_date .button.get_location").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.location_and_date .bottombutton.done").touch(function(evt)
{
    if (softsure.runningData.currentIncedent.date) {
        $$("#article-_accident_help .pager.record_incident .button.location_and_date").addClass("filled");
            setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
    } 
    else
    {
        softsure.alert("Please select a date.");
    }
});

$$("#article-_accident_help .pager.thirdparty .button.thirdpartycontact").touch(function(evt) 
{
    softsure.runningData.currentIncedent.currentThirdParty = softsure.runningData.currentIncedent.thirdParties[parseInt($$(this).data('id'))];
    
    $$("#article-_accident_help .pager.thirdpartydetails .nameinput").val(softsure.runningData.currentIncedent.currentThirdParty.name);
    $$("#article-_accident_help .pager.thirdpartydetails .registrationinput").val(softsure.runningData.currentIncedent.currentThirdParty.registration);
    $$("#article-_accident_help .pager.thirdpartydetails .contactinput").val(softsure.runningData.currentIncedent.currentThirdParty.contact);
    
    app.subNext(this,"thirdpartydetails");
});

$$("#article-_accident_help .pager.thirdparty .bottombutton.add").touch(function(evt) 
{
    softsure.runningData.currentIncedent.currentThirdParty = {};
    $$("#article-_accident_help .pager.thirdpartydetails .nameinput").val("");
    $$("#article-_accident_help .pager.thirdpartydetails .registrationinput").val("");
    $$("#article-_accident_help .pager.thirdpartydetails .contactinput").val("");
    
    app.subNext(this,"thirdpartydetails");
});

$$("#article-_accident_help .pager.thirdpartydetails .bottombutton.done").touch(function(evt)
{
    softsure.runningData.currentIncedent.currentThirdParty.name = $$("#article-_accident_help .pager.thirdpartydetails .nameinput").val();
    softsure.runningData.currentIncedent.currentThirdParty.registration = $$("#article-_accident_help .pager.thirdpartydetails .registrationinput").val();
    softsure.runningData.currentIncedent.currentThirdParty.contact = $$("#article-_accident_help .pager.thirdpartydetails .contactinput").val();
    
    if (softsure.runningData.currentIncedent.currentThirdParty.name !== "")
    {
        if (softsure.runningData.currentIncedent.currentThirdParty.index === undefined)
        {
            softsure.runningData.currentIncedent.currentThirdParty.index = softsure.runningData.currentIncedent.thirdParties.push(softsure.runningData.currentIncedent.currentThirdParty)-1;
            $$("#article-_accident_help .pager.thirdparty .panelbox").append("<div class='button required thirdpartycontact' data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"'><div class='gloss'></div><div class='text'>"+softsure.runningData.currentIncedent.currentThirdParty.name+"</div></div>");
        }
        else 
        {
            softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = softsure.runningData.currentIncedent.currentThirdParty;
            $$("#article-_accident_help .pager.thirdparty .panelbox .thirdpartycontact[data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"'] .text").html(softsure.runningData.currentIncedent.currentThirdParty.name);
        }
        
        setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
    }
});

$$("#article-_accident_help .pager.thirdpartydetails .bottombutton.delete").touch(function(evt) 
{
    app.subNext(this,"thirdpartydelete");
});

$$("#article-_accident_help .pager.thirdpartydelete .bottombutton.yes").touch(function(evt) 
{
    if (softsure.runningData.currentIncedent.currentThirdParty.index !== undefined) 
    {
        softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = undefined;
        $$("#article-_accident_help .pager.thirdparty .panelbox .thirdpartycontact[data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"']").remove();
    }
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.thirdpartydelete .bottombutton.no").touch(function(evt)
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.thirdparty .bottombutton.done").touch(function(evt) 
{
    $$("#article-_accident_help .pager.record_incident .button.thirdparty").addClass("filled");
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.incedent_diary .button.incedent").touch(function(evt) 
{
    softsure.runningData.currentIncedent = softsure.incedentDiary[parseInt($$(this).data('id'))];
    app.subNext(this,"record_incident");
});

$$("#article-_accident_help .pager.record_incident .bottombutton.done").touch(function(evt) 
{
    if (softsure.runningData.currentIncedent.date === undefined) 
    {
        softsure.alert("Please enter a date");
    } 
    else
    {
        if (softsure.runningData.currentIncedent.index === undefined)
        {
            softsure.runningData.currentIncedent.index = softsure.incedentDiary.push(softsure.runningData.currentIncedent)-1;
            var name = softsure.runningData.currentIncedent.date.toDateString();
            
            if (softsure.runningData.currentIncedent.time) name += " "+softsure.runningData.currentIncedent.time;
                $$("#article-_accident_help .pager.incedent_diary .panelbox").append("<div class='button required incedent' data-id='"+softsure.runningData.currentIncedent.index+"'><div class='gloss'></div><div class='text'>"+name+"</div></div>");
        }
        else 
        {
            softsure.incedentDiary[softsure.runningData.currentIncedent.index] = softsure.runningData.currentIncedent;
        }
	
        softsure.saveState();
        app.subNext(this,"doneadd");
    }
});

$$("#article-_accident_help .pager.doneadd .bottombutton.done").touch(function(evt) 
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .button.photos").touch(function(evt) 
{
    app.subNext(this,"incident_gallery");
});

$$("#article-_accident_help .pager.incident_gallery .gallery_element.take_photo").touch(function(evt) 
{
    navigator.camera.getPicture( function (imageData) 
    {	
        var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
        $$("#article-_accident_help .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+ 
                imageData+");' data-id='"+id+"'></div>");}, function(err) { console.log(err);}, { quality : 75, destinationType : Camera.DestinationType.DATA_URL, 
                sourceType : Camera.PictureSourceType.CAMERA, allowEdit : true, encodingType: Camera.EncodingType.JPEG, mediaType: Camera.MediaType.PICTURE,
                saveToPhotoAlbum: false, cameraDirection: Camera.Direction.BACK } );
																							
});

$$("#article-_accident_help .pager.incident_gallery .gallery_element.from_gallery").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
		$$("#article-_accident_help .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_accident_help .pager.incident_gallery .gallery_element.image").touch(function(evt) 
{
    if ($$("#article-_accident_help .pager.incident_gallery .panelbox").hasClass("deletemode"))
    {
        if ($$(this).html() === "")
        {
            $$(this).html("<div class='deleteimage'><div class='icon'></div></div>");
        }
        else
        {
			$$(this).html("");
	}
    }
});

$$("#article-_accident_help .pager.incident_gallery .bottombutton.delete").touch(function(evt) 
{
    if ($$("#article-_accident_help .pager.incident_gallery .panelbox").hasClass("deletemode")) 
    {
        $$("#article-_accident_help .pager.incident_gallery .panelbox .image").each(function() 
        {
            var _this = $$(this);
            
            if (_this.html() !== "") 
            {
                softsure.runningData.currentIncedent.images[_this.data('id')] = undefined;
                _this.remove();
            }
        });
        
        $$("#article-_accident_help .pager.incident_gallery .panelbox").removeClass("deletemode"); 
    } 
    else 
    {
        $$("#article-_accident_help .pager.incident_gallery .panelbox").addClass("deletemode");
    }
});

$$("#article-_accident_help .pager.incident_gallery .bottombutton.done").touch(function(evt)
{
    $$("#article-_accident_help .pager.record_incident .button.photos").addClass("filled");
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager.incedent_diary .bottombutton.done").touch(function(evt) 
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager .bottombutton.cancel").touch(function(evt) 
{  
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager.time .bottombutton.cancel").touch(function(evt) {
    //Hide accidentDate and accidentTime divs for performance
    HideAccDateTime();
});

$$("#article-_accident_help .pager.date .bottombutton.cancel").touch(function(evt) {
    //Hide accidentDate and accidentTime divs for performance
    HideAccDateTime();
});

$$("#article-_accident_help .pager.record_incident .button.policereport").touch(function(evt) 
{
    app.subNext(this,"policereport");
});

$$("#article-_accident_help .pager.policereport .bottombutton.done").touch(function(evt)
{
    softsure.runningData.currentIncedent.policeReport = $$("#article-_accident_help .pager.policereport input.policeinput").val();
    
    $$("#article-_accident_help .pager.record_incident .button.policereport").addClass("filled");
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager .iconbutton.request_ambulance").touch(function(evt) 
{
    if (softsure.userdetails === undefined) 
    {
        softsure.alert("Not logged in.");
        return;
    }
    
    softsure.executeTask("CALLBACK_AFFINITY", function(res) 
    {
        if (res.Status == "Success") 
        {
            softsure.alert("Successfully submitted. We'll contact you shortly.");
        } 
        else 
        {
            softsure.alert("Failed to submit. Please try again or use the Call Now button.");
        }
    }, {
		Request: "AMBULANCE",
		Coordinates: softsure.lastCoordinates,
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_accident_help .pager .iconbutton.request_towtruck").touch(function(evt) {
	if (softsure.userdetails === undefined) {
		softsure.alert("Not logged in.");
		return;
	}
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "TOWTRUCK",
		Coordinates: softsure.lastCoordinates,
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_accident_help .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("021 833 1218");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	if (softsure.userdetails === undefined) {
		softsure.alert("Not logged in.");
		return;
	}
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_accident_help .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("021 833 1218");
});

function HideAccDateTime()
{
    var accDateDiv = $$(".accidentDate");
    var accTimeDiv = $$(".accidentTime");
        
    if(accDateDiv.css("display") != "none")
    {
        accDateDiv.hide();
    }
        
    if(accTimeDiv.css("display") != "none")
    {
        accTimeDiv.hide();
    }
}
$$("#article-_accidentprotect .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("0861 001 008");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_accidentprotect .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("0861 001 008");
});
document.addEventListener("articleLoad",function(evt) 
{
    if (evt.param == "_carhire") 
    {
        var today = new Date();
        
        //Populate Months
        $$("#article-_carhire .monthspinner").html("<li>&nbsp;</li>");
        
        for(var k = 0; k < 12; k++)
        {
            if (k == today.getMonth())
            {
                $$("#article-_carhire .monthspinner").append("<li class='selected'>" + (k+1) + "</li>");
            }
            else 
            {
                $$("#article-_carhire .monthspinner").append("<li>" + (k+1) + "</li>");
            }
        }
        
        //Blank at bottom
        $$("#article-_carhire .monthspinner").append("<li>&nbsp;</li>");
        
        //Populate Days
        $$("#article-_carhire .dayspinner").html("<li>&nbsp;</li>");
        
        for(var k = 0; k < 31; k++)
        {
            if (k+1 == today.getDate())
            {
                $$("#article-_carhire .dayspinner").append("<li class='selected'>"+ (k+1) +"</li>");
            }
            else 
            {
                $$("#article-_carhire .dayspinner").append("<li>"+(k+1)+"</li>");
            }
        }
        
        $$("#article-_carhire .dayspinner").append("<li>&nbsp;</li>");
        
        softsure.runningYearStart = (today.getFullYear())-2000;
	softsure.runningYearEnd = (today.getFullYear())-1990;
        
        //Populate Years
        $$("#article-_carhire .yearspinner").html("<li>&nbsp;</li>");
        
	for(var k = softsure.runningYearStart; k < softsure.runningYearEnd; k++)
        {
            if (k % 100 == softsure.runningYearStart) 
            {
                $$("#article-_carhire .yearspinner").append("<li class='selected'>"+(k % 100)+"</li>");
            }
            else 
            {
                $$("#article-_carhire .yearspinner").append("<li>"+(k % 100)+"</li>");
            }
	}
        
        //Blank at bottom
        $$("#article-_carhire .yearspinner").append("<li>&nbsp;</li>");
        $$("#article-_carhire .pager.date .panelbox .header").html(today.toDateString());
        
        //Populate hours
        $$("#article-_carhire .hourspinner").html("<li>&nbsp;</li>");

        for(var k = 0; k < 24; k++)
        {
            var number = ""+k;
            
            if (number.length == 1) 
            {
                number = "0"+number;
            }
            
            if (k == today.getHours()) 
            {
                $$("#article-_carhire .hourspinner").append("<li class='selected'>"+(number)+"</li>");
            }
            else 
            {
                $$("#article-_carhire .hourspinner").append("<li>"+(number)+"</li>");
            }
        }
        
        //Blank at bottom
        $$("#article-_carhire .hourspinner").append("<li>&nbsp;</li>");
        
        //Populate Minutes
        $$("#article-_carhire .minutespinner").html("<li>&nbsp;</li>");
        
        for(var k = 0; k < 60; k++)
        {
            var number = ""+k;
            
            if (number.length == 1)
            {
                number = "0"+number;
            }
            
            if (k == today.getMinutes())
            {
                $$("#article-_carhire .minutespinner").append("<li class='selected'>"+(number)+"</li>");
            }
            else 
            {
                $$("#article-_carhire .minutespinner").append("<li>"+(number)+"</li>");
            }
        }
        
        //Blank at bottom of list
        $$("#article-_carhire .minutespinner").append("<li>&nbsp;</li>");

        var time = "" + today.getMinutes();
	
        if (time.length == 1)
        {
            time = "0"+time;
        }
        
        time =  today.getHours()+":"+time;
	
        if (time.length == 4) 
        {
            time = "0"+time;
        }
        
        $$("#article-_carhire .pager.time .panelbox .header").html(time);
            
        softsure.runningData = {};
	softsure.runningData.pickup = {};
	softsure.runningData.dropoff = {};
		
        //GEOLOCATION        
        navigator.geolocation.getCurrentPosition(function(pos) {
            var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			
            if (myLocation !== "")
            {
                softsure.runningData.map.panTo(myLocation);
            }
            
            softsure.runningData.map.setZoom = 15;
	},function(){},{ maximumAge: 3000, enableHighAccuracy: true });
        
        if (softsure.runningData.map == null) {
            softsure.runningData.map = new google.maps.Map($$("#article-_carhire .pager.map .panelbox")[0], {
                mapTypeId: google.maps.MapTypeId.ROADMAP,
                zoom: 15,
                mapTypeControl: false,
		streetViewControl: false,
		overviewMapControl: false,
		panControl: false,
		scaleControl: false,
			
            });
            
            softsure.runningData.map.markersArray = [];
        }
		
        $$("#article-_carhire .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
            evt.stopImmediatePropagation();
	},false);
		
        var bottom = ($$("#article-_carhire .pager.map .panelbox")[0].clientHeight/2)-8;
        var left = ($$("#article-_carhire .pager.map .panelbox")[0].clientWidth/2)-16;
        
        $$("#article-_carhire .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
		
        //DATE DIV CLICK
        $$("#article-_carhire .dateblock").on('touchend',function(evt)
        {
            //Before allowing date selection, unhide date div
            $(".carhireDate").show();
                    
            softsure.runningData.current = this.parentElement.classList[0];
            var targetDate = (softsure.runningData[softsure.runningData.current] != null?softsure.runningData[softsure.runningData.current].date:undefined);
            
            if (targetDate === undefined) 
            {
                var today = new Date();
                    
                setTimeout(function() {
                    $$("#article-_carhire .yearspinner")[0].scrollTop = 0;
                    $$("#article-_carhire .yearspinner > li").removeClass("selected");
                    $$("#article-_carhire .yearspinner > li")[1].classList.add("selected");
                        
                    $$("#article-_carhire .monthspinner")[0].scrollTop = (today.getMonth()) * $$("#article-_carhire .monthspinner > li")[0].clientHeight;
                    $$("#article-_carhire .monthspinner > li").removeClass("selected");
                    $$("#article-_carhire .monthspinner > li")[today.getMonth()+1].classList.add("selected");
                        
                    $$("#article-_carhire .dayspinner")[0].scrollTop = (today.getDate()-1) * $$("#article-_carhire .dayspinner > li")[0].clientHeight;
                    $$("#article-_carhire .dayspinner > li").removeClass("selected");
                    $$("#article-_carhire .dayspinner > li")[today.getDate()].classList.add("selected");
                },1);
            } 
            else 
            {
                var date = new Date(targetDate);
                    
                setTimeout(function() {
                    var yearmarker = ((date.getFullYear() % 100) - softsure.runningYearStart);
                    $$("#article-_carhire .yearspinner")[0].scrollTop = yearmarker * $$("#article-_carhire .yearspinner > li")[0].clientHeight;
                    $$("#article-_carhire .yearspinner > li").removeClass("selected");
                    $$("#article-_carhire .yearspinner > li")[yearmarker+1].classList.add("selected");
                        
                    $$("#article-_carhire .monthspinner")[0].scrollTop = (date.getMonth()) * $$("#article-_carhire .monthspinner > li")[0].clientHeight;
                    $$("#article-_carhire .monthspinner > li").removeClass("selected");
                    $$("#article-_carhire .monthspinner > li")[date.getMonth()+1].classList.add("selected");
                        
                    $$("#article-_carhire .dayspinner")[0].scrollTop = (date.getDate()-1) * $$("#article-_carhire .dayspinner > li")[0].clientHeight;
                    $$("#article-_carhire .dayspinner > li").removeClass("selected");
                    $$("#article-_carhire .dayspinner > li")[date.getDate()].classList.add("selected");
                },1);
            }

            app.subNext(this,"date");
        });
		
        //TIME DIV CLICK
	$$("#article-_carhire .timeblock").on('touchend',function(evt) 
        {
            //Before allowing time selection, unhide the time div
            $(".carhireTime").show();

            softsure.runningData.current = this.parentElement.classList[0];
            var targetTime = (softsure.runningData[softsure.runningData.current] != null?softsure.runningData[softsure.runningData.current].time:undefined);
            
            if (targetTime === undefined) 
            {
                var today = new Date();
                setTimeout(function() {
                    $$("#article-_carhire .hourspinner")[0].scrollTop = (today.getHours()) * $$("#article-_carhire .hourspinner > li")[0].clientHeight;
                    $$("#article-_carhire .hourspinner > li").removeClass("selected");
                    $$("#article-_carhire .hourspinner > li")[today.getHours()+1].classList.add("selected");
                    
                    $$("#article-_carhire .minutespinner")[0].scrollTop = (today.getMinutes()) * $$("#article-_carhire .minutespinner > li")[0].clientHeight;
                    $$("#article-_carhire .minutespinner > li").removeClass("selected");
                    $$("#article-_carhire .minutespinner > li")[today.getMinutes()+1].classList.add("selected");
                },1);
            } 
            else 
            {
                var time = targetTime.split(":");
                setTimeout(function() {
                    $$("#article-_carhire .hourspinner")[0].scrollTop = parseInt(time[0])*$$("#article-_carhire .hourspinner > li")[0].clientHeight;
                    $$("#article-_carhire .hourspinner > li").removeClass("selected");
                    $$("#article-_carhire .hourspinner > li")[parseInt(time[0])+1].classList.add("selected");
                    
                    $$("#article-_carhire .minutespinner")[0].scrollTop = parseInt(time[1])*$$("#article-_carhire .minutespinner > li")[0].clientHeight;
                    $$("#article-_carhire .minutespinner > li").removeClass("selected");
                    $$("#article-_carhire .minutespinner > li")[parseInt(time[1])+1].classList.add("selected");
		},1);
            }
            
            app.subNext(this,"time");
        });
		
        $$("#article-_carhire .locblock").on('touchend',function(evt) {
            softsure.runningData.current = this.parentElement.classList[0];
            app.subNext(this,"map");
        });
    }
});

$$("#article-_carhire .mainbutton .get_quote").touch(function(evt) {
    app.subNext(this,"get_quote");
});

$$("#article-_carhire .pager.get_quote .bottombutton.done").touch(function(evt) 
{ 
    softsure.executeTask("CALLBACK_GOLDCLUB", function(res) {
        if (res.Status == "Success") 
        {
            softsure.alert("Successfully submitted. We'll contact you shortly.");
        }
        else 
        {
            softsure.alert("Failed to submit. Please try again or use the Call Now button.");
        }
    }, {
            Request: "CARHIRE",
            Contact: softsure.userdetails.ContactNo,
            Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
            'Pick up Location': softsure.runningData.pickup.location+" GPS: "+softsure.runningData.pickup.lat+", "+softsure.runningData.pickup.lon,
            'Pick up Date':  softsure.runningData.pickup.date.toDateString(),
            'Pick up Time':  softsure.runningData.pickup.time,
            'Drop off Location': softsure.runningData.dropoff.location+" GPS: "+softsure.runningData.dropoff.lat+", "+softsure.runningData.dropoff.lon,
            'Drop off Date':  softsure.runningData.dropoff.date.toDateString(),
            'Drop off Date':  softsure.runningData.dropoff.time,
		
	},null);
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager.time .spinner").swipe(function(evt)
{
	var time =$$("#article-_carhire .pager.time .minutespinner .selected").html();
        
	if (time.length == 1) 
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_carhire .pager.time .hourspinner .selected").html()+":"+time;
	
        if (time.length == 4) 
        {
            time = "0"+time;
        }
        
	$$("#article-_carhire .pager.time .panelbox .header").html(time);
});

$$("#article-_carhire .pager.time .bottombutton.done").touch(function(evt)
{
	var time =$$("#article-_carhire .pager.time .minutespinner .selected").html();
        
	if (time.length == 1)
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_carhire .pager.time .hourspinner .selected").html()+":"+time;
        
	if (time.length == 4)
        {
            time = "0"+time;
        }
        
	softsure.runningData[softsure.runningData.current].time = time;
        
	$$("#article-_carhire .pager.get_quote ." + softsure.runningData.current + " .timeinput").val(time);
        
        HideCarHireDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager.time .bottombutton.cancel").touch(function(evt){
    HideCarHireDateTime();
});

$$("#article-_carhire .pager.date .spinner").swipe(function(evt)
{
	var dateString = "";
        
	if (parseInt($$("#article-_carhire .pager.date .yearspinner .selected").html()) >= (new Date().getFullYear() % 100) )
        {
            dateString += "20";
        }
	else
        {
            dateString += "21";
        }
        
	if ($$("#article-_carhire .pager.date .yearspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .monthspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .dayspinner .selected").html().length == 1) 
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .dayspinner .selected").html();
	var date = new Date(Date.parse(dateString));
        
	$$("#article-_carhire .pager.date .panelbox .header").html(date.toDateString());
});

$$("#article-_carhire .pager.date .bottombutton.done").touch(function(evt)
{
	var dateString = "";
        
	if (parseInt($$("#article-_carhire .pager.date .yearspinner .selected").html()) >= (new Date().getFullYear() % 100) )
        {
            dateString += "20";
        }
	else
        {
            dateString += "21";
        }
        
	if ($$("#article-_carhire .pager.date .yearspinner .selected").html().length == 1) 
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .monthspinner .selected").html().length == 1) 
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .dayspinner .selected").html().length == 1) {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .dayspinner .selected").html();
        
	var date = new Date(Date.parse(dateString));
	softsure.runningData[softsure.runningData.current].date = date;
        
	$$("#article-_carhire .pager.get_quote ."+softsure.runningData.current+" .dateinput").val(date.toDateString());
       
        HideCarHireDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager.date .bottombutton.cancel").touch(function(evt) {
    HideCarHireDateTime();
});

$$("#article-_carhire .pager.map .bottombutton.done").touch(function(evt)
{
	softsure.runningData[softsure.runningData.current].lat = softsure.runningData.map.getCenter().lat();
	softsure.runningData[softsure.runningData.current].lon = softsure.runningData.map.getCenter().lng();
	var ref = $$.get('http://maps.googleapis.com/maps/api/geocode/json?latlng=' + softsure.runningData.map.getCenter().lat() +', '+ softsure.runningData.map.getCenter().lng() + '&sensor=false',null, function(response){
		var locres = JSON.parse(response.response);
		if (locres != null && locres.status === "OK")
		{
			softsure.runningData[softsure.runningData.current].location = locres.results[0].formatted_address+"";
			$$("#article-_carhire .pager.get_quote ."+softsure.runningData.current+" .locinput").val(locres.results[0].formatted_address+"");
		}
	},'json');
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager .bottombutton.cancel").touch(function(evt) 
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire'));},1);
});

$$("#article-_carhire .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("044 805 3798");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_GOLDCLUB", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_carhire .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("044 805 3798");
});

function HideCarHireDateTime()
{
    var carHireDateDiv = $$(".carhireDate");
    var carHireTimeDiv = $$(".carhireTime");
        
    if(carHireDateDiv.css("display") != "none")
    {
        carHireDateDiv.hide();
    }
        
    if(carHireTimeDiv.css("display") != "none")
    {
        carHireTimeDiv.hide();
    }   
}
document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_claims") {
		softsure.runningData = {};
                
		if (softsure.incedentDiary === undefined) 
                {
                    softsure.incedentDiary = [];
                }
		
		var today = new Date();
                
                //Populate Months
                $$("#article-_claims .monthspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 12; k++)
		{
			if (k == today.getMonth()) 
                        {
                            $$("#article-_claims .monthspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .monthspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .monthspinner").append("<li>&nbsp;</li>");
                
                //Populate Days
                $$("#article-_claims .dayspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 31; k++)
		{
			if (k+1 == today.getDate()) 
                        {
                            $$("#article-_claims .dayspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else
                        {
                            $$("#article-_claims .dayspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .dayspinner").append("<li>&nbsp;</li>");
                
		softsure.runningYearStart = (today.getFullYear())-1999;
		softsure.runningYearEnd = softsure.runningYearStart-1;
                
                //Populate Years
                $$("#article-_claims .yearspinner").html("<li>&nbsp;</li>");
                
                var currYear = today.getFullYear();
                
		for(var i = 1; i >= 0; i--)
		{
			if ((currYear - i) % 100 == today.getFullYear()-2000) 
                        {
                            $$("#article-_claims .yearspinner").append("<li class='selected'>"+((currYear - i) %100)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .yearspinner").append("<li>"+((currYear - i) %100)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .yearspinner").append("<li>&nbsp;</li>");
		$$("#article-_claims .pager.date .panelbox .header").html(today.toDateString());
		
                //Populate hours
		$$("#article-_claims .hourspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 24; k++)
		{
			var number = ""+k;
                        
			if (number.length == 1)
                        {
                            number = "0" + number;
                        }
                        
			if (k == today.getHours())
                        {
                            $$("#article-_claims .hourspinner").append("<li class='selected'>"+(number)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .hourspinner").append("<li>"+(number)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .hourspinner").append("<li>&nbsp;</li>");
                
                //Populate Minutes
                $$("#article-_claims .minutespinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 60; k++)
		{
			var number = ""+k;
                        
			if (number.length == 1) 
                        {
                            number = "0"+number;
                        }
                        
			if (k == today.getMinutes()) 
                        {
                            $$("#article-_claims .minutespinner").append("<li class='selected'>"+(number)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .minutespinner").append("<li>"+(number)+"</li>");
                        }
		}
		
                $$("#article-_claims .minutespinner").append("<li>&nbsp;</li>");
                                
		var time = ""+today.getMinutes();
                
		if (time.length == 1) 
                {
                    time = "0"+time;
                }
                
		time =  today.getHours()+":"+time;
                
		if (time.length == 4)
                {
                    time = "0"+time;
                }
                
		$$("#article-_claims .pager.time .panelbox .header").html(time);
		
                //DATE DIV CLICK
		$$("#article-_claims .dateblock").on('touchend',function(evt) 
                {
                    //Before allowing date selection, unhide date div
                    $(".claimsDate").show();
                    
                    if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("claim"))
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.claim .dateinput";
                    }
                    else if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("location_and_date")) 
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.location_and_date .dateinput";
                    }
                    
                    var targetDate;
                    
                    if (softsure.runningData.dataTarget && softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
                    {
                        targetDate = softsure.runningData.currentIncedent.date;
                    }
                    else 
                    {
                        targetDate = softsure.runningData.date;
                    }
                    
                    if (targetDate === undefined) 
                    {
                        var today = new Date();
                        setTimeout(function() {
                            $$("#article-_claims .yearspinner")[0].scrollTop = $$("#article-_claims .yearspinner")[0].scrollHeight-($$("#article-_claims .monthspinner > li")[0].clientHeight);
                            $$("#article-_claims .yearspinner > li").removeClass("selected");
                            $$("#article-_claims .yearspinner > li")[2].classList.add("selected");
                            
                            $$("#article-_claims .monthspinner")[0].scrollTop = (today.getMonth())*$$("#article-_claims .monthspinner > li")[0].clientHeight;
                            $$("#article-_claims .monthspinner > li").removeClass("selected");
                            $$("#article-_claims .monthspinner > li")[today.getMonth()+1].classList.add("selected");
                            
                            $$("#article-_claims .dayspinner")[0].scrollTop = (today.getDate()-1)*$$("#article-_claims .dayspinner > li")[0].clientHeight;
                            $$("#article-_claims .dayspinner > li").removeClass("selected");
                            $$("#article-_claims .dayspinner > li")[today.getDate()].classList.add("selected");
                        },1);
                    } 
                    else 
                    {
                        var date = new Date(targetDate);
                        var today = new Date();
                        
                        setTimeout(function() {
                            //1 represents first year item (last year)
                            var yearmarker = 1;
                            
                            if(today.getFullYear() === date.getFullYear())
                            {
                                //2 represents second year item (current year)
                                yearmarker = 2;
                            }
                            
                            $$("#article-_claims .yearspinner")[0].scrollTop = (yearmarker - 1) * $$("#article-_claims .yearspinner > li")[0].clientHeight;
                            $$("#article-_claims .yearspinner > li").removeClass("selected");
                            $$("#article-_claims .yearspinner > li")[yearmarker].classList.add("selected");
                                
                            $$("#article-_claims .monthspinner")[0].scrollTop = (date.getMonth()) * $$("#article-_claims .monthspinner > li")[0].clientHeight;
                            $$("#article-_claims .monthspinner > li").removeClass("selected");
                            $$("#article-_claims .monthspinner > li")[date.getMonth()+1].classList.add("selected");
                                
                            $$("#article-_claims .dayspinner")[0].scrollTop = (date.getDate()-1)*$$("#article-_claims .dayspinner > li")[0].clientHeight;
                            $$("#article-_claims .dayspinner > li").removeClass("selected");
                            $$("#article-_claims .dayspinner > li")[date.getDate()].classList.add("selected");
                        },1);
                    }
                    
                    app.subNext(this,"date");
		});
		
                //CLICKING TIME DIV
		$$("#article-_claims .timeblock").on('touchend',function(evt) 
                {
                    //Before allowing time selection, unhide the time div
                    $(".claimsTime").show();
                    
                    if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("claim")) 
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.claim .timeinput";
                    }
                    else if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("location_and_date")) 
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.location_and_date .timeinput";
                    }
                    
                    var targetTime;
                    
                    if (softsure.runningData.dataTarget && softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
                    {
                        targetTime = softsure.runningData.currentIncedent.time;
                    }
                    else 
                    {
                        targetTime = softsure.runningData.time;
                    }
                    
                    if (targetTime === undefined) {
                        var today = new Date();
                        setTimeout(function() {
                            $$("#article-_claims .hourspinner")[0].scrollTop = (today.getHours())*$$("#article-_claims .hourspinner > li")[0].clientHeight;
                            $$("#article-_claims .hourspinner > li").removeClass("selected");
                            $$("#article-_claims .hourspinner > li")[today.getHours()+1].classList.add("selected");
                            
                            $$("#article-_claims .minutespinner")[0].scrollTop = (today.getMinutes())*$$("#article-_claims .minutespinner > li")[0].clientHeight;
                            $$("#article-_claims .minutespinner > li").removeClass("selected");
                            $$("#article-_claims .minutespinner > li")[today.getMinutes()+1].classList.add("selected");
                        },1);
                    } 
                    else 
                    {
                        var time = targetTime.split(":");
                        setTimeout(function() {
                            $$("#article-_claims .hourspinner")[0].scrollTop = parseInt(time[0])*$$("#article-_claims .hourspinner > li")[0].clientHeight;
                            $$("#article-_claims .hourspinner > li").removeClass("selected");
                            $$("#article-_claims .hourspinner > li")[parseInt(time[0])+1].classList.add("selected");
                            
                            $$("#article-_claims .minutespinner")[0].scrollTop = parseInt(time[1])*$$("#article-_claims .minutespinner > li")[0].clientHeight;
                            $$("#article-_claims .minutespinner > li").removeClass("selected");
                            $$("#article-_claims .minutespinner > li")[parseInt(time[1])+1].classList.add("selected");
                        },1);
                    }
                    
                    app.subNext(this,"time");
		});
		
                //GEOLOCATION
		navigator.geolocation.getCurrentPosition(function(pos) 
                {
                    var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			
                    if (myLocation !== "") 
                    {
                        softsure.runningData.map.panTo(myLocation);
                    }
                    
                    softsure.runningData.map.setZoom = 15;
		});
                
		if (softsure.runningData.map == null) 
                {
                    softsure.runningData.map = new google.maps.Map($$("#article-_claims .pager.map .panelbox")[0], {
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			zoom: 15,
			mapTypeControl: false,
			streetViewControl: false,
			overviewMapControl: false,
			panControl: false,
			scaleControl: false,
			
			});
		}
		
		$$("#article-_claims .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
			evt.stopImmediatePropagation();
		},false);
		
		var bottom = ($$("#article-_claims .pager.map .panelbox")[0].clientHeight/2)-8;
                var left = ($$("#article-_claims .pager.map .panelbox")[0].clientWidth/2)-16;
                
                $$("#article-_claims .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
		
		if (softsure.incedentDiary) 
                {
                    for(var k = 0; k < softsure.incedentDiary.length; k++) {
			if (typeof softsure.incedentDiary[k].date == "string") 
                        {
                            softsure.incedentDiary[k].date = new Date(softsure.incedentDiary[k].date);
                        }
                        
			$$("#article-_claims .pager.incedent_diary .panelbox").append("<div class='button required incedent filled' data-id='" + 
                                softsure.incedentDiary[k].index + "'><div class='gloss'></div><div class='text'>" + 
                                softsure.incedentDiary[k].date+ " "+softsure.incedentDiary[k].time+"</div></div>");
                    }
                }
	}
});

$$("#article-_claims .mainbutton .start_claim").touch(function(evt) {
    app.subNext(this,"claim");
});

$$("#article-_claims .pager.time .spinner").swipe(function(evt)
{
	var time =$$("#article-_claims .pager.time .minutespinner .selected").html();
	
        if (time.length == 1) 
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_claims .pager.time .hourspinner .selected").html()+":"+time;
        
	if (time.length == 4) 
        {
            time = "0"+time;
        }
        
	$$("#article-_claims .pager.time .panelbox .header").html(time);
});

$$("#article-_claims .pager.time .bottombutton.done").touch(function(evt)
{
	var time =$$("#article-_claims .pager.time .minutespinner .selected").html();
        
	if (time.length == 1) 
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_claims .pager.time .hourspinner .selected").html()+":"+time;
        
	if (time.length == 4) 
        {
            time = "0"+time;
        }
        
	if (softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
        {
            softsure.runningData.currentIncedent.time = time;
        }
	else 
        {
            softsure.runningData.time = time;
        }
        
	$$(softsure.runningData.dataTarget).val(time);
        
        HideClaimDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.time .bottombutton.cancel").touch(function(evt)
{
    HideClaimDateTime();
});

$$("#article-_claims .pager.date .spinner").swipe(function(evt)
{
	var dateString = "";
        
	if (parseInt($$("#article-_claims .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100) ) 
        {
            dateString += "19";
        }
	else
        {
            dateString += "20";
        }
        
	if ($$("#article-_claims .pager.date .yearspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .monthspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .dayspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .dayspinner .selected").html();
	var date = new Date(Date.parse(dateString));
        
	$$("#article-_claims .pager.date .panelbox .header").html(date.toDateString());
});

$$("#article-_claims .pager.date .bottombutton.done").touch(function(evt){
	var dateString = "";
        
	if (parseInt($$("#article-_claims .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100) ) 
        {
            dateString += "19";
        }
	else
        {
            dateString += "20";
        }
        
	if ($$("#article-_claims .pager.date .yearspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .monthspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .dayspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .dayspinner .selected").html();
	var date = new Date(Date.parse(dateString));
        
	if (softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
        {
            softsure.runningData.currentIncedent.date = date;
        }
	else
        {
            softsure.runningData.date = date;
        }
      
	$$(softsure.runningData.dataTarget).val(date.toDateString());
        
        HideClaimDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.date .bottombutton.cancel").touch(function(evt){
    HideClaimDateTime();
});

$$("#article-_claims .pager.claim .bottombutton.done").touch(function(evt)
{
	var data = {
		Request: "CLAIM",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
		'Claim Type': softsure.runningData.type_of_claim,
		'Vehicle': softsure.runningData.car,
		'Incident Date': softsure.runningData.currentIncedent.date+"",
		'Incident Time': softsure.runningData.currentIncedent.time+"",
		'Incident Location': softsure.runningData.currentIncedent.lat+", "+softsure.runningData.currentIncedent.lon,
	};
	var files = null;
	
	if (softsure.runningData.currentIncedent.policeReport && softsure.runningData.currentIncedent.policeReport != "")
        {
            data["Police Report"] = softsure.runningData.currentIncedent.policeReport;
        }
	
	for(var k = 0; k < softsure.runningData.currentIncedent.thirdParties.length; k++) 
        {
            var third = softsure.runningData.currentIncedent.thirdParties[k];
            data["3rd Party "+(k+1)+" Name"] = third.name;
            
            if (third.registration && third.registration != "")
            {
                data["3rd Party "+(k+1)+" Registration"] = third.registration;
            }
            
            if (third.contact && third.contact != "") 
            {
                data["3rd Party "+(k+1)+" Contact"] = third.contact;
            } 
	}
	
	for(var k = 0; k < softsure.runningData.currentIncedent.images.length; k++)
        {
            if (files == null)
            {
                files = {};
            }
            
            files['Image '+(k+1)] = atob(softsure.runningData.currentIncedent.images[k]);
	}
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
	
	softsure.executeTask("NOTIFY_CLAIMS", function(res)
        {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted claim");
		} else {
			softsure.alert("Error submitting claim.");
		}
	}, data,files);
});

$$("#article-_claims .incident_diary").touch(function(evt) {
	app.subNext(this,"incedent_diary");
});

$$("#article-_claims .pager.incedent_diary .bottombutton.add").touch(function(evt) {
	softsure.runningData.currentIncedent = {};
	softsure.runningData.currentIncedent.thirdParties = [];
	softsure.runningData.currentIncedent.images = [];
	$$("#article-_claims .pager.thirdparty .panelbox").html("");
	$$("#article-_claims .pager.record_incident .required").removeClass("filled");
	$$("#article-_claims .pager.location_and_date .required").removeClass("filled");
	$$("#article-_claims .pager.location_and_date input").val("");
	app.subNext(this,"record_incident");
});

$$("#article-_claims .pager.incedent_diary .button.incedent").touch(function(evt) {
	softsure.runningData.currentIncedent = softsure.incedentDiary[parseInt($$(this).data('id'))];
	$$("#article-_claims .pager.incedent_diary .button.incedent").addClass("filled");
	$$(this).removeClass("filled");
	softsure.runningData.selected = true;
});

$$("#article-_claims .pager.incedent_diary .bottombutton.done").touch(function(evt) {
	if (softsure.runningData.selected) {
		$$("#article-_claims .pager.claim .button.diary_incident").addClass("filled");
		$$("#article-_claims .pager.claim .button.diary_incident .text").html(softsure.runningData.currentIncedent.date.toDateString());
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .location_and_date.button").touch(function(evt) {
	app.subNext(this,"location_and_date");
});

$$("#article-_claims .get_location").touch(function(evt) {
	app.subNext(this,"map");
});

$$("#article-_claims .button.thirdparty").touch(function(evt) {
	app.subNext(this,"thirdparty");
});

$$("#article-_claims .pager.map .bottombutton.done").touch(function(evt){
	$$("#article-_claims .pager.location_and_date .latinput").val(softsure.runningData.map.getCenter().lat());
	$$("#article-_claims .pager.location_and_date .longinput").val(softsure.runningData.map.getCenter().lng());
	softsure.runningData.currentIncedent.lat = softsure.runningData.map.getCenter().lat();
	softsure.runningData.currentIncedent.lon = softsure.runningData.map.getCenter().lng();
	var ref = $$.get('http://maps.googleapis.com/maps/api/geocode/json?latlng=' + softsure.runningData.map.getCenter().lat() +', '+ softsure.runningData.map.getCenter().lng() + '&sensor=false',null, function(response){
		var locres = JSON.parse(response.response);
		if (locres != null && locres.status === "OK")
		{
			$$("#article-_claims .pager.location_and_date .locinput").val(locres.results[0].formatted_address+"");
			softsure.runningData.currentIncedent.loc = locres.results[0].formatted_address+"";
		}
	},'json');
	$$("#article-_claims .pager.location_and_date .button.get_location").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.location_and_date .bottombutton.done").touch(function(evt){
	if (softsure.runningData.currentIncedent.date) {
		$$("#article-_claims .pager.record_incident .button.location_and_date").addClass("filled");
		setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
	} else {
		softsure.alert("Please select a date.");
	}
});

$$("#article-_claims .pager.thirdparty .button.thirdpartycontact").touch(function(evt) {
	softsure.runningData.currentIncedent.currentThirdParty = softsure.runningData.currentIncedent.thirdParties[parseInt($$(this).data('id'))];
	$$("#article-_claims .pager.thirdpartydetails .nameinput").val(softsure.runningData.currentIncedent.currentThirdParty.name);
	$$("#article-_claims .pager.thirdpartydetails .registrationinput").val(softsure.runningData.currentIncedent.currentThirdParty.registration);
	$$("#article-_claims .pager.thirdpartydetails .contactinput").val(softsure.runningData.currentIncedent.currentThirdParty.contact);
	app.subNext(this,"thirdpartydetails");
});

$$("#article-_claims .pager.thirdparty .bottombutton.add").touch(function(evt) {
	softsure.runningData.currentIncedent.currentThirdParty = {};
	$$("#article-_claims .pager.thirdpartydetails .nameinput").val("");
	$$("#article-_claims .pager.thirdpartydetails .registrationinput").val("");
	$$("#article-_claims .pager.thirdpartydetails .contactinput").val("");
	app.subNext(this,"thirdpartydetails");
});

$$("#article-_claims .pager.thirdpartydetails .bottombutton.done").touch(function(evt) {
	softsure.runningData.currentIncedent.currentThirdParty.name = $$("#article-_claims .pager.thirdpartydetails .nameinput").val();
	softsure.runningData.currentIncedent.currentThirdParty.registration = $$("#article-_claims .pager.thirdpartydetails .registrationinput").val();
	softsure.runningData.currentIncedent.currentThirdParty.contact = $$("#article-_claims .pager.thirdpartydetails .contactinput").val();
	if (softsure.runningData.currentIncedent.currentThirdParty.name !== "")
	{
		if (softsure.runningData.currentIncedent.currentThirdParty.index === undefined)
		{
			softsure.runningData.currentIncedent.currentThirdParty.index = softsure.runningData.currentIncedent.thirdParties.push(softsure.runningData.currentIncedent.currentThirdParty)-1;
			$$("#article-_claims .pager.thirdparty .panelbox").append("<div class='button required thirdpartycontact' data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"'><div class='gloss'></div><div class='text'>"+softsure.runningData.currentIncedent.currentThirdParty.name+"</div></div>");
		}
		else {
			softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = softsure.runningData.currentIncedent.currentThirdParty;
		}
		setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
	}
});

$$("#article-_claims .pager.thirdpartydetails .bottombutton.delete").touch(function(evt) {
	app.subNext(this,"thirdpartydelete");
});

$$("#article-_claims .pager.thirdpartydelete .bottombutton.yes").touch(function(evt) {
	if (softsure.runningData.currentIncedent.currentThirdParty.index !== undefined) {
		softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = undefined;
		$$("#article-_claims .pager.thirdparty .panelbox .thirdpartycontact[data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"']").remove();
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.thirdpartydelete .bottombutton.no").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.thirdparty .bottombutton.done").touch(function(evt) {
	$$("#article-_claims .pager.record_incident .button.thirdparty").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.record_incident .bottombutton.done").touch(function(evt) {
	if (softsure.runningData.currentIncedent.date === undefined) {
		softsure.alert("Please enter a date");
	} else {
		if (softsure.runningData.currentIncedent.index === undefined)
		{
			softsure.runningData.currentIncedent.index = softsure.incedentDiary.push(softsure.runningData.currentIncedent)-1;
			var name = softsure.runningData.currentIncedent.date.toDateString();
			if (softsure.runningData.currentIncedent.time) name += " "+softsure.runningData.currentIncedent.time;
			$$("#article-_claims .pager.incedent_diary .button.incedent").addClass("filled");
			$$("#article-_claims .pager.incedent_diary .panelbox").append("<div class='button required incedent' data-id='"+softsure.runningData.currentIncedent.index+"'><div class='gloss'></div><div class='text'>"+name+"</div></div>");
		}
		else {
			softsure.incedentDiary[softsure.runningData.currentIncedent.index] = softsure.runningData.currentIncedent;
		}
		softsure.saveState();
		app.subNext(this,"doneadd");
	}
});

$$("#article-_claims .pager.doneadd .bottombutton.done").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .button.photos").touch(function(evt) {
	app.subNext(this,"incident_gallery");
});

function addPhotoToGallery(imageData) {
	var id = softsure.runningData.currentIncedent.images.push(imageData)-1;
	$$("#article-_claims .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
}

$$("#article-_claims .pager.incident_gallery .gallery_element.take_photo").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
		$$("#article-_claims .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.CAMERA,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
																							
});

$$("#article-_claims .pager.incident_gallery .gallery_element.from_gallery").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
		$$("#article-_claims .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_claims .pager.incident_gallery .gallery_element.image").touch(function(evt) {
	if ($$("#article-_claims .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		if ($$(this).html() === "")
			$$(this).html("<div class='deleteimage' ></div>");
		else
			$$(this).html("");
	}
});

$$("#article-_claims .pager.incident_gallery .bottombutton.delete").touch(function(evt) {
	if ($$("#article-_claims .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		$$("#article-_claims .pager.incident_gallery .panelbox .image").each(function() {
			var _this = $$(this);
			if (_this.html() !== "") {
				softsure.runningData.currentIncedent.images[_this.data('id')] = undefined;
				_this.remove();
			}
		});
		$$("#article-_claims .pager.incident_gallery .panelbox").removeClass("deletemode"); 
	} else {
		$$("#article-_claims .pager.incident_gallery .panelbox").addClass("deletemode");
	}
});

$$("#article-_claims .pager.incident_gallery .bottombutton.done").touch(function(evt) {
	$$("#article-_claims .pager.record_incident .button.photos").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .button.diary_incident").touch(function(evt) {
	app.subNext(this,"incedent_diary");
});

$$("#article-_claims .button.type_of_claim").touch(function(evt) {
	app.subNext(this,"type_of_claim");
});

$$("#article-_claims .button.select_car").touch(function(evt) {

	var _this = this;
	
    softsure.service("getPolicyData",{UserDetails:softsure.user},function(res)
    {
		var policies = [];

		if (softsure.isArray(res.Policy)) 
        {
            res.Policy.forEach(function (item){ 
                policies.push(item);
            });
		}
		else
        {
            policies.push(res.Policy);
        }

        var policyHtml = $$("#article-_claims .pager.select_car .optionslist");
        policyHtml.html("");

		for(var k = 0; k < policies.length; ++k) 
        {
            if (policies[k].Vehicles != null)
            {
                policyHtml.append("<div data-value='" + policies[k].Vehicles.VehicleDetail.VINNumber + "'>" + policies[k].Vehicles.VehicleDetail.Registration + "</div>");
            }
		}

		app.subNext(_this,"select_car");
	});
});

$$("#article-_claims .optionslist > div").touch(function(evt) {
	for(var k = 0; k < this.parentElement.children.length; k++) {
		this.parentElement.children[k].classList.remove("selected");
	}
	$$(this).addClass("selected");
});

$$("#article-_claims .pager.type_of_claim .bottombutton.done").touch(function(evt) {
	if ($$("#article-_claims .pager.type_of_claim .optionslist > div.selected").length > 0) {
		softsure.runningData.type_of_claim = $$("#article-_claims .pager.type_of_claim .optionslist > div").first().data("value");
		$$("#article-_claims .pager.claim .button.type_of_claim").addClass("filled");
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager.select_car .bottombutton.done").touch(function(evt) {
	if ($$("#article-_claims .pager.select_car .optionslist > div.selected").length > 0) {
		softsure.runningData.car = $$("#article-_claims .pager.select_car .optionslist > div").first().data("value");
		$$("#article-_claims .pager.claim .button.select_car").addClass("filled");
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager .bottombutton.cancel").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager.record_incident .button.policereport").touch(function(evt) {
	app.subNext(this,"policereport");
});

$$("#article-_claims .pager.policereport .bottombutton.done").touch(function(evt) {
	softsure.runningData.currentIncedent.policeReport = $$("#article-_claims .pager.policereport input.policeinput").val();
	$$("#article-_claims .pager.record_incident .button.policereport").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("0861 368 7873");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_CLAIMS", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_claims .pager .infoboxButton.call_us_now").touch(function(evt) {
    softsure.callUsNow("0861 368 7873");
});

function HideClaimDateTime()
{
    var claimDateDiv = $$(".claimsDate");
    var claimTimeDiv = $$(".claimsTime");
        
    if(claimDateDiv.css("display") != "none")
    {
        claimDateDiv.hide();
    }
        
    if(claimTimeDiv.css("display") != "none")
    {
        claimTimeDiv.hide();
    }   
}
$$("#article-_designateddriver .mainbutton .request_service").touch(function(evt) {
	softsure.executeTask("CALLBACK_ROADTRIP", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "DRIVER",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_designateddriver .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow();
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_ROADTRIP", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_designateddriver .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow();
});
document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_findmycar") {
		softsure.runningData = {};
		navigator.geolocation.getCurrentPosition(function(pos) {
			var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			
			if (myLocation !== "") softsure.runningData.map.panTo(myLocation);
			softsure.runningData.map.setZoom = 15;
		},function(){},{ maximumAge: 3000, enableHighAccuracy: true });
		if (softsure.runningData.map == null) {
			softsure.runningData.map = new google.maps.Map($$("#article-_findmycar .pager.map .panelbox")[0], {
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			zoom: 15,
			mapTypeControl: false,
			streetViewControl: false,
			overviewMapControl: false,
			panControl: false,
			scaleControl: false,
			
			});
		}
		softsure.runningData.directionsService = new google.maps.DirectionsService();
		
		var rendererOptions = {
			map: softsure.runningData.map
		};
		softsure.runningData.directionsDisplay = new google.maps.DirectionsRenderer(rendererOptions);


		
		$$("#article-_findmycar .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
			evt.stopImmediatePropagation();
		},false);
		
		var bottom = ($$("#article-_findmycar .pager.map .panelbox")[0].clientHeight/2)-8;
        var left = ($$("#article-_findmycar .pager.map .panelbox")[0].clientWidth/2)-16;
        $$("#article-_findmycar .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
	}
});

$$("#article-_findmycar .mainbutton .save_location").touch(function(evt) {
	softsure.runningData.saveMode = true;
	$$("#article-_findmycar .pager.map .panelbox .mappin").css("display","block");
	if (softsure.runningData.myCarMarker) softsure.runningData.myCarMarker.setMap(null);
	app.subNext(this,"map"); 
});

$$("#article-_findmycar .mainbutton .view_location").touch(function(evt) {
	if (softsure.myCarPosition === undefined) {
		softsure.alert("Vehicle location not saved yet.");
		return;
	}
	navigator.geolocation.getCurrentPosition(function(pos) {
		var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
		
		if (myLocation !== "") softsure.runningData.map.panTo(myLocation);
		softsure.runningData.map.setZoom = 15;
	},function(){},{ maximumAge: 3000, enableHighAccuracy: true });
	$$("#article-_findmycar .pager.map .panelbox .mappin").css("display","none");
	softsure.runningData.saveMode = false;
	if (softsure.runningData.myCarMarker) {
    	softsure.runningData.myCarMarker.setMap(null);
    }

    var marker = new google.maps.Marker({
        position: softsure.myCarPosition, 
        map: softsure.runningData.map,
        icon: { url: "img/pin.svg", anchor: new google.maps.Point(16, 58), scaledSize: (app.deviceType=="android"?new google.maps.Size(32, 64):undefined)
}
    });

	softsure.runningData.myCarMarker = marker;
	
	app.subNext(this,"map"); 
});

$$("#article-_findmycar .pager.map .bottombutton.done").touch(function(evt) {
	if (softsure.runningData.saveMode) {
		softsure.myCarPosition = { lat: softsure.runningData.map.getCenter().lat(), lng:softsure.runningData.map.getCenter().lng()};
		softsure.saveState();
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_findmycar'));},1);
});

$$("#article-_findmycar .pager .bottombutton.cancel").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_findmycar'));},1);
});
document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_finesprotect") {
		softsure.runningData = {};
	}
});

$$("#article-_finesprotect .mainbutton .register").touch(function(evt) {
	app.subNext(this,"register");
});

$$("#article-_finesprotect .button.id_photo").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		softsure.runningData.id_photo = imageData;	
		$$("#article-_finesprotect .pager.register .button.id_photo").addClass("filled");
			}, function(err) { console.log(err);}, { quality : 75,  
                                    destinationType : Camera.DestinationType.DATA_URL,  
                                    sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
                                    allowEdit : true,
                                    encodingType: Camera.EncodingType.JPEG,
                                    mediaType: Camera.MediaType.PICTURE,
                                    saveToPhotoAlbum: false,
                                    cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_finesprotect .pager.register .bottombutton.done").touch(function(evt) {
	var name = $$("#article-_finesprotect .pager.register .nameinput").val();
	var age = $$("#article-_finesprotect .pager.register .ageinput").val();
	var policy = softsure.runningData.policy;
	if (name !== "" && age !== "" && policy !== "" && $$("#article-_finesprotect .pager.register .button.id_photo").hasClass("filled")) {           
            var files = {};
            files['IDPhoto'] = atob(softsure.runningData.id_photo);
		softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
			if (res.Status == "Success") {
				softsure.alert("Successfully submitted. Confirmation will be sent via e-mail or SMS.");
			} else {
				softsure.alert("Failed to submit. Please try again or use the Call Now button.");
			}
		}, {
			Request: "REGISTER",
			Contact: softsure.userdetails.ContactNo,
			Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
			"Register name": name,
			"Register age": age,
			"Register policy": policy,
		},files);
		setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_finesprotect')); },1);
	} else {
		softsure.alert("Please fill in all form fields.");
	}
});

$$("#article-_finesprotect .pager.register .bottombutton.cancel").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_finesprotect')); },1);
});

$$("#article-_finesprotect .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("0861 001 008");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_finesprotect .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("0861 001 008");
});

$$("#article-_finesprotect .pager.register .button.policynumber").touch(function(evt) {
	var _this = this;
	softsure.service("getPolicyData",{UserDetails:softsure.user},function(res){
		var policies = [];
		if (softsure.isArray(res.Policy)) {
			for(var index in res.Policy) {
				policies.push(res.Policy[index]);
			}
		}
		else
			policies.push(res.Policy);
		$$("#article-_finesprotect .pager.select_policy .optionslist").html("");
		for(var k = 0; k < policies.length; k++) {
			$$("#article-_finesprotect .pager.select_policy .optionslist").append("<div data-value='"+policies[k].PolicyNo+"'>"+policies[k].PolicyNo+"</div>");
		}
		app.subNext(_this,"select_policy");
	});
});

$$("#article-_finesprotect .pager.select_policy .bottombutton.done").touch(function(evt) {
	if ($$("#article-_finesprotect .pager.select_policy .optionslist > div.selected").length > 0) {
		softsure.runningData.policy = $$("#article-_finesprotect .pager.select_policy .optionslist > div").first().data("value");
		$$("#article-_finesprotect .pager.register .button.policynumber").addClass("filled");
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_finesprotect'));},1);
});

$$("#article-_finesprotect .optionslist > div").touch(function(evt) {
	for(var k = 0; k < this.parentElement.children.length; k++) {
		this.parentElement.children[k].classList.remove("selected");
	}
	$$(this).addClass("selected");
});
$$("#article-_legalemergency .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("021 833 1218");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_legalemergency .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("021 833 1218");
});
app.articleMenu("_menu");

String.prototype.chunk = function(n) {
    var ret = [];
    for(var i=0, len=this.length; i < len; i += n) {
       ret.push(this.substr(i, n));
    }
    return ret;
};

String.prototype.reverse = function(n) {
    return this.split("").reverse().join("");
};

$$(".action.register").touch(function() {
    app.subNext(this,"register");
});

$$(".action.password").touch(function() {
    $$("input").blur();
	app.subNext(this,"lost");
});

$$(".button.cancel").touch(function() {
	var main = $$("#popup-_login");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_login')); },1);
});

$$(".morehint").touch(function() {
	app.subNext(this,"help1");
});




//LOG IN
$$('#popup-_login .login.button').touch(function() {
	var email = $$("#popup-_login > .login .email").val();
	var password = $$("#popup-_login > .login .password").val();
    var loginPage = this;

	softsure.userService('ValidateUsername',
        { userObj: {Password:password, SystemDomain:"%%REGSYSTEM%%", Username:email}  },
        function(result)
        {

    		if (result.Status == "statusSuccess")
            {
                softsure.user = {   System:"%%REGSYSTEM%%" , Username: result.UserDetails.Username , Password: password,
                                    Email: result.UserDetails.UserEmail, IDNumber: result.UserDetails.UserId , MobileNo: result.UserDetails.UserMobile };

				setTimeout(function() {
                        reselectMenuIcon(app.menu);

                        app.rotateElementsRev(document.getElementById('popup'));
                        setTimeout(function() {$$("#popup").css('z-index',-10);},500);

                        softsure.loggedIn();
                    },1);
    		}
            else
            {
                if(result.Validation == "badPin")
                {
                    softsure.alert("Activation with SMS pin was not done. Please confirm your registration using a one-time-PIN. ");
                    app.subNext(loginPage, "registerConfirm");
                }
                else
                {
                    softsure.alert("Login failure. Please check your details.");
                }
		  }
	});
});







function replace(template,target,val) {
	return template.replace("$_"+target.toUpperCase()+"_$",val);
}

function clearPolicies() {
	$$("#popup-_profile .policylist").html("");
}

function toPos(num) {
	var val = parseInt(num);
	if (((val % 10) == 1) && ((val < 11) || (val > 20))) return num+"st";
	if (((val % 10) == 2) && ((val < 11) || (val > 20))) return num+"nd";
	if (((val % 10) == 3) && ((val < 11) || (val > 20))) return num+"rd";
	return num+"th";
}

function bankingDebitToHR(data,freq) {
	switch(freq) {
		case "Monthly":
			return toPos(data)+" of month";
			break;
	}
}

function valToMoneyHR(data) {
	var raw = (""+data).split('.');

    // If no decimal place, add it
    if (raw.length == 1)
    {
        raw.push("00");
    }

	var str = ""+raw[0];
	return "R "+(str.reverse().chunk(3).join(" ").reverse())+"."+raw[1];
}

function parsePolicyAndGenerate(template,Policy) {
	window.last_p = Policy;
	$$("#popup-_profile .policylist").append("<div class='button highlighted' data_policyno='"+Policy.PolicyNo+"'><div class='gloss'></div><div class='text'/>"+Policy.PolicyNo+"</div></div>");
	template = replace(template,"title",Policy.Vehicles.VehicleDetail.CoverCde);
    template = replace(template,"name",Policy.InsuredDetail.FirstName+" "+Policy.InsuredDetail.Surname);
	template = replace(template,"policy",Policy.PolicyNo);
	template = replace(template,"premium", valToMoneyHR(Policy.TotalPremium));
	template = replace(template,"excess","");
	template = replace(template,"ncb","");
	template = replace(template,"debit",bankingDebitToHR(Policy.BankingDetail.DebitDay,Policy.PaymentFrequency));
	template = replace(template,"cover","");
	console.log(template);
	$$("#popup-_profile").append("<div class='pager fullscreen policy' data_policyno='"+Policy.PolicyNo+"'>"+template+"</div>");
}





//USER PROFILE PAGE (LOGIN SCREEN / PROFILE INFORMATION IF LOGGED IN)
document.addEventListener("popupLoad",function(evt) {

    //Note: softsure.userdetails is set by the loggedIn function in softsure.js. It queries the server and sets this object.

	if (evt.param == "_profile") {
		$$("#popup-_profile input.nameinput").val(softsure.userdetails.FirstName+" "+softsure.userdetails.Surname);
		$$("#popup-_profile input.ageinput").val(softsure.userdetails.CustomerAge);
		$$("#popup-_profile textarea.addressinput").val(softsure.userdetails.AddressLine1+"\n"+softsure.userdetails.AddressLine2);
		$$("#popup-_profile .policylist").html("loading...");

        //get policy information
		softsure.service("getPolicyData", {UserDetails: softsure.user}, function(res){
			if (softsure.isArray(res.Policy))
				softsure.userdetails = res.Policy[0].InsuredDetail;
			else
				softsure.userdetails = res.Policy.InsuredDetail;

			$$("#popup-_profile input.nameinput").val(softsure.userdetails.FirstName+" "+softsure.userdetails.Surname);
			$$("#popup-_profile input.ageinput").val(softsure.userdetails.CustomerAge);
			$$("#popup-_profile textarea.addressinput").val(softsure.userdetails.AddressLine1+"\n"+softsure.userdetails.AddressLine2);

			if (softsure.isArray(res.Policy))
				softsure.userdetails = res.Policy[0].InsuredDetail;
			else
				softsure.userdetails = res.Policy.InsuredDetail;

			clearPolicies();
			var templateElement = $$("#popup-_profile .policy.template");
			if (softsure.isArray(res.Policy))
				for(var k = 0; k < res.Policy.length; k++)
				{
					parsePolicyAndGenerate(templateElement.html(),res.Policy[k]);
				}
			else
			{
				parsePolicyAndGenerate(templateElement.html(),res.Policy);
			}
		});
	}
});




document.addEventListener("popupOpen",function(evt) {
	if (evt.param == "_profile") {
		if (!$$("#popup-_profile .pager:nth-of-type(2)").hasClass("profile")) {
			setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_profile')); },1);
		}
	}
});

$$(".policyblock .button").touch(function() {
	var policyNo = $$(this).attr('data_policyno');
	app.subNext(this,"policy[data_policyno='"+policyNo+"']");
});

$$("#popup-_profile .policy").swipeRight(function(evt){
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_profile')); },1);
	evt.cancelBubble = true;
	evt.returnValue = false;
	evt.stopImmediatePropagation();
	evt.stopPropagation();
	evt.preventDefault();
});

$$("#popup-_login .lost, #popup-_login .tnc, popup-_login").swipeRight(function(evt){
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_login')); },1);
	evt.cancelBubble = true;
	evt.returnValue = false;
	evt.stopImmediatePropagation();
	evt.stopPropagation();
	evt.preventDefault();
});

$$("#popup-_profile .logoutbutton").touch(function() {
        app.articleMenu("_menu");
        reselectMenuIcon("_menu");

        softsure.logOut();
	   //app.back();
});








//REGISTER NEW USER
$$("#popup-_login .button.register").touch(function() {

	var email = $$("#popup-_login > .register .email").val();
	var password = $$("#popup-_login > .register .password").val();
	var cpassword = $$("#popup-_login > .register .cpassword").val();
	var idnumber = $$("#popup-_login > .register .idnumber").val();

    var registerPage = this;

	if ((cpassword === password) && (password !== "") && (email !== "") && (idnumber !== ""))
        {
            //check if already registered
           softsure.userService('ValidateUsername',
             { userObj: {Password:password, SystemDomain:"%%REGSYSTEM%%", Username:email}  },
             function(result)
             {
                    if(result.Validation == "badPin")
                    {
                        //Already registered, confirm PIN
                        app.subNext(registerPage,"registerConfirm");
                        softsure.alert("You have already been registered. Please activate your account by entering your one-time-PIN.");
                    }
                    else
                    {
                        //New registration, send request (Stage 1)
                        softsure.userService('RegisterUser',
                            { userObj: {CustomerId:idnumber, Email:email, Username:email, Password:password, SystemDomain:"%%REGSYSTEM%%"} },
                            function(result) {

                            if (result.Status == "statusSuccess") {
                                //Proceed to PIN verification
                                app.subNext(registerPage, "registerConfirm");
                                softsure.alert("Registration successful. A one-time-PIN has been sent to you.");
                            }
                            else
                            {
                                softsure.alert("Error with registration. " + result.StatusDesc);
                            }
                        });
                    }
                });
        }
        else
        {
            softsure.alert("Invalid details. Please check the details.");
        }
});

//CONFIRM REGISTRATION
$$("#popup-_login .button.confirm").touch(function() {

    var idnumber = $$("#popup-_login > .register .idnumber").val();
    var email = $$("#popup-_login > .register .email").val();
    var password = $$("#popup-_login > .register .password").val();
    var pincode = $("#popup-_login > .registerConfirm .pincode").val();
    var thisPage = this;

    if(pincode != "")
    {
        //Finalizing registration, send pin (Stage 2)
        softsure.userService('ConfirmRegistration',
            { userObj: {CustomerId:idnumber, Email:email, Username:email, Password:password, pin:pincode, SystemDomain:"%%REGSYSTEM%%"}},
            function(result) {
                if (result.Validation == "success")
                {
                    softsure.alert("Registration complete. Please log in.");
                    app.subNext(thisPage,"login");
                }
                else
                {
                    softsure.alert("PIN Code Validation failed.");
                }
        });
    }
    else
    {
        softsure.alert("No PIN Code entered.");
    }
});




//RESEND PIN VIA SMS
$$("#popup-_login #resendPinButtons .button.resendpinsms").touch(function() {

    //because we can arrive at this page from both the login screen and the register screen,
    //check which one has the username entered in
    if ( $$("#popup-_login > .register .email").val() !== "" )
    {
        var email = $$("#popup-_login > .register .email").val();
    }
    else
    {
        var email = $$("#popup-_login > .login .email").val();
    }


    if (email !== "")
    {
        softsure.userService('ResendPin', {username: email}, function(result)
        {
            if(result.Validation == "success")
            {
                softsure.alert(result.StatusDesc);
            }
            else
            {
                softsure.alert(result.StatusDesc);
            }
        });
    }
});




//RESEND PIN VIA EMAIL
$$("#popup-_login #resendPinButtons .button.resendpinemail").touch(function() {

    //because we can arrive at this page from both the login screen and the register screen,
    //check which one has the username entered in
     if ( $$("#popup-_login > .register .email").val() !== "" )
    {
            var email = $$("#popup-_login > .register .email").val();
    }
    else
    {
            var email = $$("#popup-_login > .login .email").val();
    }

    if (email !== "")
    {
        softsure.userService('ResendPinAsEmail', {username: email}, function(result)
        {
            if(result.Validation == "success")
            {
                softsure.alert(result.StatusDesc);
            }
            else
            {
                softsure.alert(result.StatusDesc);
            }
        });
    }
});



//FORGOT PASSWORD: FIRST SCREEN
$$("#popup-_login .button.request").touch(function() {

    var email = $$("#popup-_login > .lost .email").val();
    var lostPage = this;

    softsure.userService('ForgetPassword', {username:email}, function(result) {

        if (result.Validation == "success") {
            softsure.alert("A one-time-PIN has been sent to you. Please use this change your password.");
            app.subNext(lostPage,"lostReset");
        } else {
            softsure.alert("Invalid user information or system error. Please check and try again.");
        }
    });
});


//FORGOT PASSWORD: UPDATE PASSWORD SCREEN
$$("#popup-_login .button.update").touch(function() {

    var pincode = $$("#popup-_login > .lostReset .pincode").val();
    var password = $$("#popup-_login > .lostReset .password").val();
    var cpassword =$$("#popup-_login > .lostReset .cpassword").val();
    var email = $$("#popup-_login > .lost .email").val();
    var thisPage = this;

    if (pincode !== "" && password !== "" && cpassword !== "") {
        if (password == cpassword) {

            softsure.userService('UpdateForgetPassword', {userObj: {Username:email, PasswordNew:password, pin:pincode} }, function(result) {

                if (result.Validation == "success") {
                    softsure.alert("Your password has been successfully updated.");
                    app.subNext(thisPage,"login");
                } else {
                    softsure.alert(result.StatusDesc);
                }
            });

        } else {
            softsure.alert ("Passwords do not match.");
        }
    }
    else
    {
            softsure.alert ("Fields cannot be empty.");
    }
});




function reselectMenuIcon(target)
{
    if(app.isReady)
    {
        $$("[group="+$$($$("#menu-icon")[0].parentElement).attr('group')+"]").removeClass("selected");

        var nav = $$(".nav[target='" + target + "']");
        var icon = nav.find(".icon");

        //Enable gradient background for only IOS
        if(app.deviceType != "android")
        {
            icon.addClass("showgradient");
        }

        nav.addClass("selected");
    }
}
document.addEventListener("navPressed",function(evt) {
    if (evt.param == "call") {
            softsure.callUsNow('%%DEFAULTCONTACT%%');
    }
});
$$("#article-_medicalemergency .mainbutton .upload_details").touch(function(evt) {
	app.subNext(this,"upload_details");
});

$$("#article-_medicalemergency .pager.upload_details .bottombutton.done").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_medicalemergency')); },1);
});

$$("#article-_medicalemergency .pager.upload_details .bottombutton.cancel").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_medicalemergency')); },1);
});

$$("#article-_medicalemergency .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("021 833 1218");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_medicalemergency .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("021 833 1218");
});

$$("#article-_medicalemergency .pager .iconbutton.request_ambulance").touch(function(evt) {
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "AMBULANCE",
		Coordinates: softsure.lastCoordinates,
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});
document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_potholeprotect") {
		softsure.runningData = {};
		softsure.runningData.images = [];
	}
});

$$("#article-_potholeprotect .mainbutton .take_photo").touch(function(evt) {
	app.subNext(this,"record_incident");
});

$$("#article-_potholeprotect .button.photos").touch(function(evt) {
	app.subNext(this,"incident_gallery");
});

$$("#article-_potholeprotect .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("0861 001 008");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Error sending request.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_potholeprotect .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("0861 001 008");
});

$$("#article-_potholeprotect .pager.incident_gallery .gallery_element.take_photo").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.images.push(imageData)-1;	
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.CAMERA,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
																							
});

$$("#article-_potholeprotect .pager.incident_gallery .gallery_element.from_gallery").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.images.push(imageData)-1;	
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_potholeprotect .pager.incident_gallery .gallery_element.image").touch(function(evt) {
	if ($$("#article-_potholeprotect .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		if ($$(this).html() === "")
			$$(this).html("<div class='deleteimage'><div class='icon'></div></div>");
		else
			$$(this).html("");
	}
});

$$("#article-_potholeprotect .pager.incident_gallery .bottombutton.delete").touch(function(evt) {
	if ($$("#article-_potholeprotect .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox .image").each(function() {
			var _this = $$(this);
			if (_this.html() !== "") {
				softsure.runningData.currentIncedent.images[_this.data('id')] = undefined;
				_this.remove();
			}
		});
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").removeClass("deletemode"); 
	} else {
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").addClass("deletemode");
	}
});

$$("#article-_potholeprotect .pager.incident_gallery .bottombutton.done").touch(function(evt) {
	$$("#article-_potholeprotect .pager.record_incident .button.photos").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_potholeprotect'));},1);
});

$$("#article-_potholeprotect .pager .bottombutton.cancel").touch(function(evt) {
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_potholeprotect'));},1);
});

$$("#article-_potholeprotect .pager.record_incident .bottombutton.done").touch(function(evt) {
	var files = null;	
	for(var k = 0; k < softsure.runningData.images.length; k++) {
		if (files == null) files = {};
		files['Image '+(k+1)] = atob(softsure.runningData.images[k]);
	}
	softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CLAIM POTHOLE",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},files);
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_potholeprotect'));},1);
});
$$("#article-_roadsideemergency .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("021 833 1218");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_roadsideemergency .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("021 833 1218");
});

$$("#article-_roadsideemergency .pager .iconbutton.request_towtruck").touch(function(evt) {
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "TOWTRUCK",
		Coordinates: softsure.lastCoordinates,
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});
$$("#article-_tigerwheelandtyre .mainbutton .get_discount").touch(function(evt) {
	app.subNext(this,"get_discount");
        adjustDotsure();
        
	$$("#article-_tigerwheelandtyre .pager.get_discount .nameinput").val(app.user.firstName+" "+app.user.lastName);
	$$("#article-_tigerwheelandtyre .pager.get_discount .policyinput").val(app.user.policyNo);
});

$$("#article-_tigerwheelandtyre .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("044 805 3798");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_GOLDCLUB", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_tigerwheelandtyre .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("044 805 3798");
});

$$("#article-_tigerwheelandtyre .pager .bottombutton.done").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_tigerwheelandtyre'));},1);
});

$$("#article-_tigerwheelandtyre a.twtwebsitelink").touch(function(evt) {
	window.open('http://www.twt.co.za/', '_blank', 'location=yes');
});

function adjustDotsure()
{
    var projName = "%%PROJECTNAME%%";
                
    if(projName.toLowerCase() == "dotsure")
    {
        var header =  $$(".get_discount .panel .header");
        
        if(header.html() != "Super Shortcuts Benefit")
        {
            //Change Heading
            header.html("Super Shortcuts Benefit");
            
            //Hide the Gold Club Image
            $$(".get_discount .panel .goldclubblock").css("display", "none");
            
            //Center the Tiger Wheel and Tire logo
            var twtblock = $$(".get_discount .panel .twtblock");
            twtblock.css("float", "none");
            twtblock.css("margin", "0 auto");
        }
    }
}
