document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_claims") {
		softsure.runningData = {};
                
		if (softsure.incedentDiary === undefined) 
                {
                    softsure.incedentDiary = [];
                }
		
		var today = new Date();
                
                //Populate Months
                $$("#article-_claims .monthspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 12; k++)
		{
			if (k == today.getMonth()) 
                        {
                            $$("#article-_claims .monthspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .monthspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .monthspinner").append("<li>&nbsp;</li>");
                
                //Populate Days
                $$("#article-_claims .dayspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 31; k++)
		{
			if (k+1 == today.getDate()) 
                        {
                            $$("#article-_claims .dayspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else
                        {
                            $$("#article-_claims .dayspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .dayspinner").append("<li>&nbsp;</li>");
                
		softsure.runningYearStart = (today.getFullYear())-1999;
		softsure.runningYearEnd = softsure.runningYearStart-1;
                
                //Populate Years
                $$("#article-_claims .yearspinner").html("<li>&nbsp;</li>");
                
                var currYear = today.getFullYear();
                
		for(var i = 1; i >= 0; i--)
		{
			if ((currYear - i) % 100 == today.getFullYear()-2000) 
                        {
                            $$("#article-_claims .yearspinner").append("<li class='selected'>"+((currYear - i) %100)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .yearspinner").append("<li>"+((currYear - i) %100)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .yearspinner").append("<li>&nbsp;</li>");
		$$("#article-_claims .pager.date .panelbox .header").html(today.toDateString());
		
                //Populate hours
		$$("#article-_claims .hourspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 24; k++)
		{
			var number = ""+k;
                        
			if (number.length == 1)
                        {
                            number = "0" + number;
                        }
                        
			if (k == today.getHours())
                        {
                            $$("#article-_claims .hourspinner").append("<li class='selected'>"+(number)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .hourspinner").append("<li>"+(number)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_claims .hourspinner").append("<li>&nbsp;</li>");
                
                //Populate Minutes
                $$("#article-_claims .minutespinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 60; k++)
		{
			var number = ""+k;
                        
			if (number.length == 1) 
                        {
                            number = "0"+number;
                        }
                        
			if (k == today.getMinutes()) 
                        {
                            $$("#article-_claims .minutespinner").append("<li class='selected'>"+(number)+"</li>");
                        }
			else 
                        {
                            $$("#article-_claims .minutespinner").append("<li>"+(number)+"</li>");
                        }
		}
		
                $$("#article-_claims .minutespinner").append("<li>&nbsp;</li>");
                                
		var time = ""+today.getMinutes();
                
		if (time.length == 1) 
                {
                    time = "0"+time;
                }
                
		time =  today.getHours()+":"+time;
                
		if (time.length == 4)
                {
                    time = "0"+time;
                }
                
		$$("#article-_claims .pager.time .panelbox .header").html(time);
		
                //DATE DIV CLICK
		$$("#article-_claims .dateblock").on('touchend',function(evt) 
                {
                    //Before allowing date selection, unhide date div
                    $(".claimsDate").show();
                    
                    if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("claim"))
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.claim .dateinput";
                    }
                    else if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("location_and_date")) 
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.location_and_date .dateinput";
                    }
                    
                    var targetDate;
                    
                    if (softsure.runningData.dataTarget && softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
                    {
                        targetDate = softsure.runningData.currentIncedent.date;
                    }
                    else 
                    {
                        targetDate = softsure.runningData.date;
                    }
                    
                    if (targetDate === undefined) 
                    {
                        var today = new Date();
                        setTimeout(function() {
                            $$("#article-_claims .yearspinner")[0].scrollTop = $$("#article-_claims .yearspinner")[0].scrollHeight-($$("#article-_claims .monthspinner > li")[0].clientHeight);
                            $$("#article-_claims .yearspinner > li").removeClass("selected");
                            $$("#article-_claims .yearspinner > li")[2].classList.add("selected");
                            
                            $$("#article-_claims .monthspinner")[0].scrollTop = (today.getMonth())*$$("#article-_claims .monthspinner > li")[0].clientHeight;
                            $$("#article-_claims .monthspinner > li").removeClass("selected");
                            $$("#article-_claims .monthspinner > li")[today.getMonth()+1].classList.add("selected");
                            
                            $$("#article-_claims .dayspinner")[0].scrollTop = (today.getDate()-1)*$$("#article-_claims .dayspinner > li")[0].clientHeight;
                            $$("#article-_claims .dayspinner > li").removeClass("selected");
                            $$("#article-_claims .dayspinner > li")[today.getDate()].classList.add("selected");
                        },1);
                    } 
                    else 
                    {
                        var date = new Date(targetDate);
                        var today = new Date();
                        
                        setTimeout(function() {
                            //1 represents first year item (last year)
                            var yearmarker = 1;
                            
                            if(today.getFullYear() === date.getFullYear())
                            {
                                //2 represents second year item (current year)
                                yearmarker = 2;
                            }
                            
                            $$("#article-_claims .yearspinner")[0].scrollTop = (yearmarker - 1) * $$("#article-_claims .yearspinner > li")[0].clientHeight;
                            $$("#article-_claims .yearspinner > li").removeClass("selected");
                            $$("#article-_claims .yearspinner > li")[yearmarker].classList.add("selected");
                                
                            $$("#article-_claims .monthspinner")[0].scrollTop = (date.getMonth()) * $$("#article-_claims .monthspinner > li")[0].clientHeight;
                            $$("#article-_claims .monthspinner > li").removeClass("selected");
                            $$("#article-_claims .monthspinner > li")[date.getMonth()+1].classList.add("selected");
                                
                            $$("#article-_claims .dayspinner")[0].scrollTop = (date.getDate()-1)*$$("#article-_claims .dayspinner > li")[0].clientHeight;
                            $$("#article-_claims .dayspinner > li").removeClass("selected");
                            $$("#article-_claims .dayspinner > li")[date.getDate()].classList.add("selected");
                        },1);
                    }
                    
                    app.subNext(this,"date");
		});
		
                //CLICKING TIME DIV
		$$("#article-_claims .timeblock").on('touchend',function(evt) 
                {
                    //Before allowing time selection, unhide the time div
                    $(".claimsTime").show();
                    
                    if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("claim")) 
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.claim .timeinput";
                    }
                    else if ($$("#article-_claims .pager:nth-of-type(2)").hasClass("location_and_date")) 
                    {
                        softsure.runningData.dataTarget = "#article-_claims .pager.location_and_date .timeinput";
                    }
                    
                    var targetTime;
                    
                    if (softsure.runningData.dataTarget && softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
                    {
                        targetTime = softsure.runningData.currentIncedent.time;
                    }
                    else 
                    {
                        targetTime = softsure.runningData.time;
                    }
                    
                    if (targetTime === undefined) {
                        var today = new Date();
                        setTimeout(function() {
                            $$("#article-_claims .hourspinner")[0].scrollTop = (today.getHours())*$$("#article-_claims .hourspinner > li")[0].clientHeight;
                            $$("#article-_claims .hourspinner > li").removeClass("selected");
                            $$("#article-_claims .hourspinner > li")[today.getHours()+1].classList.add("selected");
                            
                            $$("#article-_claims .minutespinner")[0].scrollTop = (today.getMinutes())*$$("#article-_claims .minutespinner > li")[0].clientHeight;
                            $$("#article-_claims .minutespinner > li").removeClass("selected");
                            $$("#article-_claims .minutespinner > li")[today.getMinutes()+1].classList.add("selected");
                        },1);
                    } 
                    else 
                    {
                        var time = targetTime.split(":");
                        setTimeout(function() {
                            $$("#article-_claims .hourspinner")[0].scrollTop = parseInt(time[0])*$$("#article-_claims .hourspinner > li")[0].clientHeight;
                            $$("#article-_claims .hourspinner > li").removeClass("selected");
                            $$("#article-_claims .hourspinner > li")[parseInt(time[0])+1].classList.add("selected");
                            
                            $$("#article-_claims .minutespinner")[0].scrollTop = parseInt(time[1])*$$("#article-_claims .minutespinner > li")[0].clientHeight;
                            $$("#article-_claims .minutespinner > li").removeClass("selected");
                            $$("#article-_claims .minutespinner > li")[parseInt(time[1])+1].classList.add("selected");
                        },1);
                    }
                    
                    app.subNext(this,"time");
		});
		
                //GEOLOCATION
		navigator.geolocation.getCurrentPosition(function(pos) 
                {
                    var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			
                    if (myLocation !== "") 
                    {
                        softsure.runningData.map.panTo(myLocation);
                    }
                    
                    softsure.runningData.map.setZoom = 15;
		});
                
		if (softsure.runningData.map == null) 
                {
                    softsure.runningData.map = new google.maps.Map($$("#article-_claims .pager.map .panelbox")[0], {
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			zoom: 15,
			mapTypeControl: false,
			streetViewControl: false,
			overviewMapControl: false,
			panControl: false,
			scaleControl: false,
			
			});
		}
		
		$$("#article-_claims .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
			evt.stopImmediatePropagation();
		},false);
		
		var bottom = ($$("#article-_claims .pager.map .panelbox")[0].clientHeight/2)-8;
                var left = ($$("#article-_claims .pager.map .panelbox")[0].clientWidth/2)-16;
                
                $$("#article-_claims .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
		
		if (softsure.incedentDiary) 
                {
                    for(var k = 0; k < softsure.incedentDiary.length; k++) {
			if (typeof softsure.incedentDiary[k].date == "string") 
                        {
                            softsure.incedentDiary[k].date = new Date(softsure.incedentDiary[k].date);
                        }
                        
			$$("#article-_claims .pager.incedent_diary .panelbox").append("<div class='button required incedent filled' data-id='" + 
                                softsure.incedentDiary[k].index + "'><div class='gloss'></div><div class='text'>" + 
                                softsure.incedentDiary[k].date+ " "+softsure.incedentDiary[k].time+"</div></div>");
                    }
                }
	}
});

$$("#article-_claims .mainbutton .start_claim").touch(function(evt) {
    app.subNext(this,"claim");
});

$$("#article-_claims .pager.time .spinner").swipe(function(evt)
{
	var time =$$("#article-_claims .pager.time .minutespinner .selected").html();
	
        if (time.length == 1) 
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_claims .pager.time .hourspinner .selected").html()+":"+time;
        
	if (time.length == 4) 
        {
            time = "0"+time;
        }
        
	$$("#article-_claims .pager.time .panelbox .header").html(time);
});

$$("#article-_claims .pager.time .bottombutton.done").touch(function(evt)
{
	var time =$$("#article-_claims .pager.time .minutespinner .selected").html();
        
	if (time.length == 1) 
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_claims .pager.time .hourspinner .selected").html()+":"+time;
        
	if (time.length == 4) 
        {
            time = "0"+time;
        }
        
	if (softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
        {
            softsure.runningData.currentIncedent.time = time;
        }
	else 
        {
            softsure.runningData.time = time;
        }
        
	$$(softsure.runningData.dataTarget).val(time);
        
        HideClaimDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.time .bottombutton.cancel").touch(function(evt)
{
    HideClaimDateTime();
});

$$("#article-_claims .pager.date .spinner").swipe(function(evt)
{
	var dateString = "";
        
	if (parseInt($$("#article-_claims .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100) ) 
        {
            dateString += "19";
        }
	else
        {
            dateString += "20";
        }
        
	if ($$("#article-_claims .pager.date .yearspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .monthspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .dayspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .dayspinner .selected").html();
	var date = new Date(Date.parse(dateString));
        
	$$("#article-_claims .pager.date .panelbox .header").html(date.toDateString());
});

$$("#article-_claims .pager.date .bottombutton.done").touch(function(evt){
	var dateString = "";
        
	if (parseInt($$("#article-_claims .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100) ) 
        {
            dateString += "19";
        }
	else
        {
            dateString += "20";
        }
        
	if ($$("#article-_claims .pager.date .yearspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .monthspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_claims .pager.date .dayspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_claims .pager.date .dayspinner .selected").html();
	var date = new Date(Date.parse(dateString));
        
	if (softsure.runningData.dataTarget.indexOf("location_and_date") != -1) 
        {
            softsure.runningData.currentIncedent.date = date;
        }
	else
        {
            softsure.runningData.date = date;
        }
      
	$$(softsure.runningData.dataTarget).val(date.toDateString());
        
        HideClaimDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.date .bottombutton.cancel").touch(function(evt){
    HideClaimDateTime();
});

$$("#article-_claims .pager.claim .bottombutton.done").touch(function(evt)
{
	var data = {
		Request: "CLAIM",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
		'Claim Type': softsure.runningData.type_of_claim,
		'Vehicle': softsure.runningData.car,
		'Incident Date': softsure.runningData.currentIncedent.date+"",
		'Incident Time': softsure.runningData.currentIncedent.time+"",
		'Incident Location': softsure.runningData.currentIncedent.lat+", "+softsure.runningData.currentIncedent.lon,
	};
	var files = null;
	
	if (softsure.runningData.currentIncedent.policeReport && softsure.runningData.currentIncedent.policeReport != "")
        {
            data["Police Report"] = softsure.runningData.currentIncedent.policeReport;
        }
	
	for(var k = 0; k < softsure.runningData.currentIncedent.thirdParties.length; k++) 
        {
            var third = softsure.runningData.currentIncedent.thirdParties[k];
            data["3rd Party "+(k+1)+" Name"] = third.name;
            
            if (third.registration && third.registration != "")
            {
                data["3rd Party "+(k+1)+" Registration"] = third.registration;
            }
            
            if (third.contact && third.contact != "") 
            {
                data["3rd Party "+(k+1)+" Contact"] = third.contact;
            } 
	}
	
	for(var k = 0; k < softsure.runningData.currentIncedent.images.length; k++)
        {
            if (files == null)
            {
                files = {};
            }
            
            files['Image '+(k+1)] = atob(softsure.runningData.currentIncedent.images[k]);
	}
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
	
	softsure.executeTask("NOTIFY_CLAIMS", function(res)
        {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted claim");
		} else {
			softsure.alert("Error submitting claim.");
		}
	}, data,files);
});

$$("#article-_claims .incident_diary").touch(function(evt) {
	app.subNext(this,"incedent_diary");
});

$$("#article-_claims .pager.incedent_diary .bottombutton.add").touch(function(evt) {
	softsure.runningData.currentIncedent = {};
	softsure.runningData.currentIncedent.thirdParties = [];
	softsure.runningData.currentIncedent.images = [];
	$$("#article-_claims .pager.thirdparty .panelbox").html("");
	$$("#article-_claims .pager.record_incident .required").removeClass("filled");
	$$("#article-_claims .pager.location_and_date .required").removeClass("filled");
	$$("#article-_claims .pager.location_and_date input").val("");
	app.subNext(this,"record_incident");
});

$$("#article-_claims .pager.incedent_diary .button.incedent").touch(function(evt) {
	softsure.runningData.currentIncedent = softsure.incedentDiary[parseInt($$(this).data('id'))];
	$$("#article-_claims .pager.incedent_diary .button.incedent").addClass("filled");
	$$(this).removeClass("filled");
	softsure.runningData.selected = true;
});

$$("#article-_claims .pager.incedent_diary .bottombutton.done").touch(function(evt) {
	if (softsure.runningData.selected) {
		$$("#article-_claims .pager.claim .button.diary_incident").addClass("filled");
		$$("#article-_claims .pager.claim .button.diary_incident .text").html(softsure.runningData.currentIncedent.date.toDateString());
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .location_and_date.button").touch(function(evt) {
	app.subNext(this,"location_and_date");
});

$$("#article-_claims .get_location").touch(function(evt) {
	app.subNext(this,"map");
});

$$("#article-_claims .button.thirdparty").touch(function(evt) {
	app.subNext(this,"thirdparty");
});

$$("#article-_claims .pager.map .bottombutton.done").touch(function(evt){
	$$("#article-_claims .pager.location_and_date .latinput").val(softsure.runningData.map.getCenter().lat());
	$$("#article-_claims .pager.location_and_date .longinput").val(softsure.runningData.map.getCenter().lng());
	softsure.runningData.currentIncedent.lat = softsure.runningData.map.getCenter().lat();
	softsure.runningData.currentIncedent.lon = softsure.runningData.map.getCenter().lng();
	var ref = $$.get('http://maps.googleapis.com/maps/api/geocode/json?latlng=' + softsure.runningData.map.getCenter().lat() +', '+ softsure.runningData.map.getCenter().lng() + '&sensor=false',null, function(response){
		var locres = JSON.parse(response.response);
		if (locres != null && locres.status === "OK")
		{
			$$("#article-_claims .pager.location_and_date .locinput").val(locres.results[0].formatted_address+"");
			softsure.runningData.currentIncedent.loc = locres.results[0].formatted_address+"";
		}
	},'json');
	$$("#article-_claims .pager.location_and_date .button.get_location").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.location_and_date .bottombutton.done").touch(function(evt){
	if (softsure.runningData.currentIncedent.date) {
		$$("#article-_claims .pager.record_incident .button.location_and_date").addClass("filled");
		setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
	} else {
		softsure.alert("Please select a date.");
	}
});

$$("#article-_claims .pager.thirdparty .button.thirdpartycontact").touch(function(evt) {
	softsure.runningData.currentIncedent.currentThirdParty = softsure.runningData.currentIncedent.thirdParties[parseInt($$(this).data('id'))];
	$$("#article-_claims .pager.thirdpartydetails .nameinput").val(softsure.runningData.currentIncedent.currentThirdParty.name);
	$$("#article-_claims .pager.thirdpartydetails .registrationinput").val(softsure.runningData.currentIncedent.currentThirdParty.registration);
	$$("#article-_claims .pager.thirdpartydetails .contactinput").val(softsure.runningData.currentIncedent.currentThirdParty.contact);
	app.subNext(this,"thirdpartydetails");
});

$$("#article-_claims .pager.thirdparty .bottombutton.add").touch(function(evt) {
	softsure.runningData.currentIncedent.currentThirdParty = {};
	$$("#article-_claims .pager.thirdpartydetails .nameinput").val("");
	$$("#article-_claims .pager.thirdpartydetails .registrationinput").val("");
	$$("#article-_claims .pager.thirdpartydetails .contactinput").val("");
	app.subNext(this,"thirdpartydetails");
});

$$("#article-_claims .pager.thirdpartydetails .bottombutton.done").touch(function(evt) {
	softsure.runningData.currentIncedent.currentThirdParty.name = $$("#article-_claims .pager.thirdpartydetails .nameinput").val();
	softsure.runningData.currentIncedent.currentThirdParty.registration = $$("#article-_claims .pager.thirdpartydetails .registrationinput").val();
	softsure.runningData.currentIncedent.currentThirdParty.contact = $$("#article-_claims .pager.thirdpartydetails .contactinput").val();
	if (softsure.runningData.currentIncedent.currentThirdParty.name !== "")
	{
		if (softsure.runningData.currentIncedent.currentThirdParty.index === undefined)
		{
			softsure.runningData.currentIncedent.currentThirdParty.index = softsure.runningData.currentIncedent.thirdParties.push(softsure.runningData.currentIncedent.currentThirdParty)-1;
			$$("#article-_claims .pager.thirdparty .panelbox").append("<div class='button required thirdpartycontact' data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"'><div class='gloss'></div><div class='text'>"+softsure.runningData.currentIncedent.currentThirdParty.name+"</div></div>");
		}
		else {
			softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = softsure.runningData.currentIncedent.currentThirdParty;
		}
		setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
	}
});

$$("#article-_claims .pager.thirdpartydetails .bottombutton.delete").touch(function(evt) {
	app.subNext(this,"thirdpartydelete");
});

$$("#article-_claims .pager.thirdpartydelete .bottombutton.yes").touch(function(evt) {
	if (softsure.runningData.currentIncedent.currentThirdParty.index !== undefined) {
		softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = undefined;
		$$("#article-_claims .pager.thirdparty .panelbox .thirdpartycontact[data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"']").remove();
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.thirdpartydelete .bottombutton.no").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.thirdparty .bottombutton.done").touch(function(evt) {
	$$("#article-_claims .pager.record_incident .button.thirdparty").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims')); },1);
});

$$("#article-_claims .pager.record_incident .bottombutton.done").touch(function(evt) {
	if (softsure.runningData.currentIncedent.date === undefined) {
		softsure.alert("Please enter a date");
	} else {
		if (softsure.runningData.currentIncedent.index === undefined)
		{
			softsure.runningData.currentIncedent.index = softsure.incedentDiary.push(softsure.runningData.currentIncedent)-1;
			var name = softsure.runningData.currentIncedent.date.toDateString();
			if (softsure.runningData.currentIncedent.time) name += " "+softsure.runningData.currentIncedent.time;
			$$("#article-_claims .pager.incedent_diary .button.incedent").addClass("filled");
			$$("#article-_claims .pager.incedent_diary .panelbox").append("<div class='button required incedent' data-id='"+softsure.runningData.currentIncedent.index+"'><div class='gloss'></div><div class='text'>"+name+"</div></div>");
		}
		else {
			softsure.incedentDiary[softsure.runningData.currentIncedent.index] = softsure.runningData.currentIncedent;
		}
		softsure.saveState();
		app.subNext(this,"doneadd");
	}
});

$$("#article-_claims .pager.doneadd .bottombutton.done").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .button.photos").touch(function(evt) {
	app.subNext(this,"incident_gallery");
});

function addPhotoToGallery(imageData) {
	var id = softsure.runningData.currentIncedent.images.push(imageData)-1;
	$$("#article-_claims .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
}

$$("#article-_claims .pager.incident_gallery .gallery_element.take_photo").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
		$$("#article-_claims .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.CAMERA,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
																							
});

$$("#article-_claims .pager.incident_gallery .gallery_element.from_gallery").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
		$$("#article-_claims .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_claims .pager.incident_gallery .gallery_element.image").touch(function(evt) {
	if ($$("#article-_claims .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		if ($$(this).html() === "")
			$$(this).html("<div class='deleteimage' ></div>");
		else
			$$(this).html("");
	}
});

$$("#article-_claims .pager.incident_gallery .bottombutton.delete").touch(function(evt) {
	if ($$("#article-_claims .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		$$("#article-_claims .pager.incident_gallery .panelbox .image").each(function() {
			var _this = $$(this);
			if (_this.html() !== "") {
				softsure.runningData.currentIncedent.images[_this.data('id')] = undefined;
				_this.remove();
			}
		});
		$$("#article-_claims .pager.incident_gallery .panelbox").removeClass("deletemode"); 
	} else {
		$$("#article-_claims .pager.incident_gallery .panelbox").addClass("deletemode");
	}
});

$$("#article-_claims .pager.incident_gallery .bottombutton.done").touch(function(evt) {
	$$("#article-_claims .pager.record_incident .button.photos").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .button.diary_incident").touch(function(evt) {
	app.subNext(this,"incedent_diary");
});

$$("#article-_claims .button.type_of_claim").touch(function(evt) {
	app.subNext(this,"type_of_claim");
});

$$("#article-_claims .button.select_car").touch(function(evt) {

	var _this = this;
	
    softsure.service("getPolicyData",{UserDetails:softsure.user},function(res)
    {
		var policies = [];

		if (softsure.isArray(res.Policy)) 
        {
            res.Policy.forEach(function (item){ 
                policies.push(item);
            });
		}
		else
        {
            policies.push(res.Policy);
        }

        var policyHtml = $$("#article-_claims .pager.select_car .optionslist");
        policyHtml.html("");

		for(var k = 0; k < policies.length; ++k) 
        {
            if (policies[k].Vehicles != null)
            {
                policyHtml.append("<div data-value='" + policies[k].Vehicles.VehicleDetail.VINNumber + "'>" + policies[k].Vehicles.VehicleDetail.Registration + "</div>");
            }
		}

		app.subNext(_this,"select_car");
	});
});

$$("#article-_claims .optionslist > div").touch(function(evt) {
	for(var k = 0; k < this.parentElement.children.length; k++) {
		this.parentElement.children[k].classList.remove("selected");
	}
	$$(this).addClass("selected");
});

$$("#article-_claims .pager.type_of_claim .bottombutton.done").touch(function(evt) {
	if ($$("#article-_claims .pager.type_of_claim .optionslist > div.selected").length > 0) {
		softsure.runningData.type_of_claim = $$("#article-_claims .pager.type_of_claim .optionslist > div").first().data("value");
		$$("#article-_claims .pager.claim .button.type_of_claim").addClass("filled");
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager.select_car .bottombutton.done").touch(function(evt) {
	if ($$("#article-_claims .pager.select_car .optionslist > div.selected").length > 0) {
		softsure.runningData.car = $$("#article-_claims .pager.select_car .optionslist > div").first().data("value");
		$$("#article-_claims .pager.claim .button.select_car").addClass("filled");
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager .bottombutton.cancel").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager.record_incident .button.policereport").touch(function(evt) {
	app.subNext(this,"policereport");
});

$$("#article-_claims .pager.policereport .bottombutton.done").touch(function(evt) {
	softsure.runningData.currentIncedent.policeReport = $$("#article-_claims .pager.policereport input.policeinput").val();
	$$("#article-_claims .pager.record_incident .button.policereport").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_claims'));},1);
});

$$("#article-_claims .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("0861 368 7873");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_CLAIMS", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_claims .pager .infoboxButton.call_us_now").touch(function(evt) {
    softsure.callUsNow("0861 368 7873");
});

function HideClaimDateTime()
{
    var claimDateDiv = $$(".claimsDate");
    var claimTimeDiv = $$(".claimsTime");
        
    if(claimDateDiv.css("display") != "none")
    {
        claimDateDiv.hide();
    }
        
    if(claimTimeDiv.css("display") != "none")
    {
        claimTimeDiv.hide();
    }   
}
