document.addEventListener("articleLoad",function(evt) {  
	if (evt.param == "_accident_help") {
		softsure.runningData = {};
                
		if (softsure.incedentDiary === undefined) 
                {
                    softsure.incedentDiary = [];
                }
		
                var today = new Date();
                
                //Populate Months
                $$("#article-_accident_help .monthspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 12; k++)
		{
			if (k == today.getMonth()) 
                        {
                            $$("#article-_accident_help .monthspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else 
                        {
                            $$("#article-_accident_help .monthspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_accident_help .monthspinner").append("<li>&nbsp;</li>");
                
                //Populate Days
                $$("#article-_accident_help .dayspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 31; k++)
		{
			if (k+1 == today.getDate()) 
                        {
                            $$("#article-_accident_help .dayspinner").append("<li class='selected'>"+(k+1)+"</li>");
                        }
			else 
                        {
                            $$("#article-_accident_help .dayspinner").append("<li>"+(k+1)+"</li>");
                        }
		}
                
                //Blank at bottom of list
                $$("#article-_accident_help .dayspinner").append("<li>&nbsp;</li>");
                
                softsure.runningYearStart = (today.getFullYear())-1999;
		softsure.runningYearEnd = softsure.runningYearStart - 1;
                
                //Populate years
                $$("#article-_accident_help .yearspinner").html("<li>&nbsp;</li>");

                var currYear = today.getFullYear();
                
                for(var i = 1; i >= 0; i--)
                {
                    if ((currYear - i) % 100 == today.getFullYear()-2000) 
                    {
                        $$("#article-_accident_help .yearspinner").append("<li class='selected'>"+((currYear - i) %100)+"</li>");
                    }
                    else 
                    {
                        $$("#article-_accident_help .yearspinner").append("<li>"+((currYear - i) %100)+"</li>");
                    }
                }
                
                //Blank at bottom of list
                $$("#article-_accident_help .yearspinner").append("<li>&nbsp</li>");

		$$("#article-_accident_help .pager.date .panelbox .header").html(today.toDateString());

                //Populate hours
                $$("#article-_accident_help .hourspinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 24; k++)
		{
                    var number = ""+k;
                        
                    if (number.length == 1) 
                    {
                        number = "0"+number;
                    }
                        
                    if (k == today.getHours()) 
                    {
                        $$("#article-_accident_help .hourspinner").append("<li class='selected'>"+(number)+"</li>");
                    }
                    else 
                    {
                        $$("#article-_accident_help .hourspinner").append("<li>"+(number)+"</li>");
                    }
		}
                
                $$("#article-_accident_help .hourspinner").append("<li>&nbsp;</li>");
                
                //Populate Minutes
                $$("#article-_accident_help .minutespinner").html("<li>&nbsp;</li>");
                
		for(var k = 0; k < 60; k++)
		{
                    var number = ""+k;
                        
                    if (number.length == 1) 
                    {
                        number = "0"+number;
                    }
                        
                    if (k == today.getMinutes()) 
                    {
                        $$("#article-_accident_help .minutespinner").append("<li class='selected'>"+(number)+"</li>");
                    }
                    else 
                    {
                        $$("#article-_accident_help .minutespinner").append("<li>"+(number)+"</li>");
                    }
		}
                
                $$("#article-_accident_help .minutespinner").append("<li>&nbsp;</li>");
        
		var time = ""+today.getMinutes();
                
		if (time.length == 1)
                {
                    time = "0"+time;
                }
                
		time =  today.getHours()+":"+time;
                
		if (time.length == 4) 
                {
                    time = "0"+time;
                }
                
		$$("#article-_accident_help .pager.time .panelbox .header").html(time);
		
                //Setup Google Maps Location
		softsure.lastCoordinates = "Unknown";
                
		navigator.geolocation.getCurrentPosition(function(pos) {
                    softsure.lastCoordinates = ""+pos.coords.latitude+", "+pos.coords.longitude;
			var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			if (myLocation !== "") softsure.runningData.map.panTo(myLocation);
			softsure.runningData.map.setZoom = 15;
		},function(){},{ maximumAge: 2000, enableHighAccuracy: true });
                
                                
		if (softsure.runningData.map == null) {
                    softsure.runningData.map = new google.maps.Map($$("#article-_accident_help .pager.map .panelbox")[0], {
                    mapTypeId: google.maps.MapTypeId.ROADMAP,
                    zoom: 15,
                    mapTypeControl: false,
                    streetViewControl: false,
                    overviewMapControl: false,
                    panControl: false,
                    scaleControl: false,
			
                    });
		}
                
		$$("#article-_accident_help .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
                    evt.stopImmediatePropagation();
		},false);
                
                var bottom = ($$("#article-_accident_help .pager.map .panelbox")[0].clientHeight/2)-8;
                var left = ($$("#article-_accident_help .pager.map .panelbox")[0].clientWidth/2)-16;
                
                $$("#article-_accident_help .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
                
                ///CLICKING DATE DIV IN ACCIDENT RECORD INCIDENT
                $$("#article-_accident_help .dateblock").on('touchend',function(evt) 
                {
                    //Before allowing date selection, unhide date div
                    $$(".accidentDate").show();
                    
                    if (softsure.runningData.currentIncedent.date === undefined) 
                    {
                        var today = new Date();
                        setTimeout(function() 
                        {
                            $$("#article-_accident_help .yearspinner")[0].scrollTop = 
                                    $$("#article-_accident_help .yearspinner")[0].scrollHeight-($$("#article-_accident_help .monthspinner > li")[0].clientHeight);
                            $$("#article-_accident_help .yearspinner > li").removeClass("selected");
                            $$("#article-_accident_help .yearspinner > li")[2].classList.add("selected");
                            
                            $$("#article-_accident_help .monthspinner")[0].scrollTop = (today.getMonth())*$$("#article-_accident_help .monthspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .monthspinner > li").removeClass("selected");
                            $$("#article-_accident_help .monthspinner > li")[today.getMonth()+1].classList.add("selected");
                            
                            $$("#article-_accident_help .dayspinner")[0].scrollTop = (today.getDate()-1)*$$("#article-_accident_help .dayspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .dayspinner > li").removeClass("selected");
                            $$("#article-_accident_help .dayspinner > li")[today.getDate()].classList.add("selected");
                        },1);
                    } 
                    else 
                    {
                        var date = softsure.runningData.currentIncedent.date;
                        
                        setTimeout(function() {
                            //1 represents first year item (last year)
                            var yearmarker = 1;
                            var today = new Date();
                            
                            if(today.getFullYear() === date.getFullYear())
                            {
                                //2 represents second year item (current year)
                                yearmarker = 2;
                            }
                            
                            $$("#article-_accident_help .yearspinner")[0].scrollTop = (yearmarker - 1) * $$("#article-_accident_help .yearspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .yearspinner > li").removeClass("selected");
                            $$("#article-_accident_help .yearspinner > li")[yearmarker].classList.add("selected");
                            
                            $$("#article-_accident_help .monthspinner")[0].scrollTop = (date.getMonth()) * $$("#article-_accident_help .monthspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .monthspinner > li").removeClass("selected");
                            $$("#article-_accident_help .monthspinner > li")[date.getMonth()+1].classList.add("selected");
                            
                            $$("#article-_accident_help .dayspinner")[0].scrollTop = (date.getDate()-1)*$$("#article-_accident_help .dayspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .dayspinner > li").removeClass("selected");
                            $$("#article-_accident_help .dayspinner > li")[date.getDate()].classList.add("selected");
                        },1);
                    }
                    
                    app.subNext(this,"date");
		});
		
                ///CLICKING TIME DIV IN ACCIDENT RECORD INCIDENT
		$$("#article-_accident_help .timeblock").on('touchend',function(evt) {
                    //Before allowing time selection, enable time div
                    $$(".accidentTime").show();
                        
                    if (softsure.runningData.currentIncedent.time === undefined) {
                        var today = new Date();
                        setTimeout(function() {
                            $$("#article-_accident_help .hourspinner")[0].scrollTop = (today.getHours())*$$("#article-_accident_help .hourspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .minutespinner")[0].scrollTop = (today.getMinutes())*$$("#article-_accident_help .minutespinner > li")[0].clientHeight;
                        },1);
                    } 
                    else 
                    {
                        var time = softsure.runningData.currentIncedent.time.split(":");
                        setTimeout(function() {
                            $$("#article-_accident_help .hourspinner")[0].scrollTop = parseInt(time[0])*$$("#article-_accident_help .hourspinner > li")[0].clientHeight;
                            $$("#article-_accident_help .hourspinner > li").removeClass("selected");
                            $$("#article-_accident_help .hourspinner > li")[parseInt(time[0])+1].classList.add("selected");
                            $$("#article-_accident_help .minutespinner")[0].scrollTop = parseInt(time[1])*$$("#article-_accident_help .minutespinner > li")[0].clientHeight;
                            $$("#article-_accident_help .minutespinner > li").removeClass("selected");
                            $$("#article-_accident_help .minutespinner > li")[parseInt(time[1])+1].classList.add("selected");
                        },1);
                    }
                        
                    app.subNext(this,"time");
		});
		
		if (softsure.incedentDiary) 
                {
                    var itemTime;
                    
                    for(var k = 0; k < softsure.incedentDiary.length; k++) 
                    {
                        itemTime = softsure.incedentDiary[k].time;
                        
                        if (typeof softsure.incedentDiary[k].date == "string") 
                        {
                            softsure.incedentDiary[k].date = new Date(softsure.incedentDiary[k].date);
                        }
                        
                        softsure.incedentDiary[k].date.setHours(itemTime.substring(0, itemTime.indexOf(":")));
                        softsure.incedentDiary[k].date.setMinutes(itemTime.substring(itemTime.indexOf(":") + 1));
                        
                        $$("#article-_accident_help .pager.incedent_diary .panelbox").append("<div class='button required incedent' data-id='" + 
                            softsure.incedentDiary[k].index+"'><div class='gloss'></div><div class='text'>"+softsure.incedentDiary[k].date+ " " + 
                            "</div></div>");
                    }
                }
		
		$$("input[readonly]").on('touchend',softsure.tickerTouch);
	}
});

//CONTINUE
$$("#article-_accident_help .request_ambulance").touch(function(evt) 
{
    
});

$$("#article-_accident_help .incident_diary").touch(function(evt)
{
    app.subNext(this,"incedent_diary");
});

$$("#article-_accident_help .request_towtruck").touch(function(evt) 
{

});

$$("#article-_accident_help .pager.incedent_diary .bottombutton.add").touch(function(evt)
{
    softsure.runningData.currentIncedent = {};
    softsure.runningData.currentIncedent.thirdParties = [];
    softsure.runningData.currentIncedent.images = [];
    
    $$("#article-_accident_help .pager.thirdparty .panelbox").html("");
    $$("#article-_accident_help .pager.record_incident .required").removeClass("filled");
    $$("#article-_accident_help .pager.location_and_date .required").removeClass("filled");
    $$("#article-_accident_help .pager.location_and_date input").val("");
    
    app.subNext(this,"record_incident");
});


$$("#article-_accident_help .location_and_date.button").touch(function(evt)
{
    app.subNext(this,"location_and_date");
});

$$("#article-_accident_help .get_location").touch(function(evt) 
{
    app.subNext(this,"map");
});

$$("#article-_accident_help .button.thirdparty").touch(function(evt)
{
    app.subNext(this,"thirdparty");
});

//UPDATE DATE HEADER AS YEAR, MONTH, OR DAY SPINNER CHANGES
$$("#article-_accident_help .pager.date .spinner").swipe(function(evt)
{
    var dateString = "";
    
    if (parseInt($$("#article-_accident_help .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100))
    {
        dateString += "19";
    }
    else 
    {
        dateString += "20";
    }
    
    if ($$("#article-_accident_help .pager.date .yearspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }

    dateString += $$("#article-_accident_help .pager.date .yearspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .monthspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }
    
    dateString += $$("#article-_accident_help .pager.date .monthspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .dayspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }

    dateString += $$("#article-_accident_help .pager.date .dayspinner .selected").html();
    
    var date = new Date(Date.parse(dateString));
    $$("#article-_accident_help .pager.date .panelbox .header").html(date.toDateString());
});

//UPDATE SELECTED DATE ON LOCATION AND DATE DIV
$$("#article-_accident_help .pager.date .bottombutton.done").touch(function(evt)
{
    var dateString = "";

    if (parseInt($$("#article-_accident_help .pager.date .yearspinner .selected").html()) > (new Date().getFullYear() % 100))
    {
        dateString += "19";
    }
    else 
    {
        dateString += "20";
    }
	
    if ($$("#article-_accident_help .pager.date .yearspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }
    
    dateString += $$("#article-_accident_help .pager.date .yearspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .monthspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }
   
    dateString += $$("#article-_accident_help .pager.date .monthspinner .selected").html()+"-";
    
    if ($$("#article-_accident_help .pager.date .dayspinner .selected").html().length == 1) 
    {
        dateString += "0";
    }

    dateString += $$("#article-_accident_help .pager.date .dayspinner .selected").html();

    var date = new Date(Date.parse(dateString));
    softsure.runningData.currentIncedent.date = date;

    $$("#article-_accident_help .pager.location_and_date .dateinput").val(date.toDateString());
    
    //Hide Date and Time for performance
    HideAccDateTime();
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

//UPDATE TIME HEADER AS HOUR AND MINUTE SPINNER CHANGES
$$("#article-_accident_help .pager.time .spinner").swipe(function(evt)
{
    var time =$$("#article-_accident_help .pager.time .minutespinner .selected").html();
    
    if (time.length == 1) 
    {
        time = "0"+time;
    }

    time =  $$("#article-_accident_help .pager.time .hourspinner .selected").html()+":"+time;
    
    if (time.length == 4) time = "0"+time;
    {
	$$("#article-_accident_help .pager.time .panelbox .header").html(time);
    }
});

//UPDATE SELECTED TIME ON LOCATION AND DATE DIV
$$("#article-_accident_help .pager.time .bottombutton.done").touch(function(evt)
{
    var time =$$("#article-_accident_help .pager.time .minutespinner .selected").html();
    
    if (time.length == 1)
    {
        time = "0"+time;
    }
    
    time =  $$("#article-_accident_help .pager.time .hourspinner .selected").html()+":"+time;

    if (time.length == 4) time = "0"+time;
    {
	softsure.runningData.currentIncedent.time = time;
    }
    
    $$("#article-_accident_help .pager.location_and_date .timeinput").val(time);
    
   //Hide Date and Time for performance
    HideAccDateTime();
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

//UPDATE THE MAP COORDINATES ON LOCATION AND DATE DIV
$$("#article-_accident_help .pager.map .bottombutton.done").touch(function(evt)
{
    $$("#article-_accident_help .pager.location_and_date .latinput").val(softsure.runningData.map.getCenter().lat());
    $$("#article-_accident_help .pager.location_and_date .longinput").val(softsure.runningData.map.getCenter().lng());
    
    softsure.runningData.currentIncedent.lat = softsure.runningData.map.getCenter().lat();
    softsure.runningData.currentIncedent.lon = softsure.runningData.map.getCenter().lng();

    var ref = $$.get('http://maps.googleapis.com/maps/api/geocode/json?latlng=' + softsure.runningData.map.getCenter().lat() + 
        ', '+ softsure.runningData.map.getCenter().lng() + '&sensor=false',null, function(response){
            var locres = JSON.parse(response.response);
            
            if (locres != null && locres.status === "OK")
            {
                $$("#article-_accident_help .pager.location_and_date .locinput").val(locres.results[0].formatted_address+"");
                softsure.runningData.currentIncedent.loc = locres.results[0].formatted_address+"";
            }
	},'json');
        
	$$("#article-_accident_help .pager.location_and_date .button.get_location").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.location_and_date .bottombutton.done").touch(function(evt)
{
    if (softsure.runningData.currentIncedent.date) {
        $$("#article-_accident_help .pager.record_incident .button.location_and_date").addClass("filled");
            setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
    } 
    else
    {
        softsure.alert("Please select a date.");
    }
});

$$("#article-_accident_help .pager.thirdparty .button.thirdpartycontact").touch(function(evt) 
{
    softsure.runningData.currentIncedent.currentThirdParty = softsure.runningData.currentIncedent.thirdParties[parseInt($$(this).data('id'))];
    
    $$("#article-_accident_help .pager.thirdpartydetails .nameinput").val(softsure.runningData.currentIncedent.currentThirdParty.name);
    $$("#article-_accident_help .pager.thirdpartydetails .registrationinput").val(softsure.runningData.currentIncedent.currentThirdParty.registration);
    $$("#article-_accident_help .pager.thirdpartydetails .contactinput").val(softsure.runningData.currentIncedent.currentThirdParty.contact);
    
    app.subNext(this,"thirdpartydetails");
});

$$("#article-_accident_help .pager.thirdparty .bottombutton.add").touch(function(evt) 
{
    softsure.runningData.currentIncedent.currentThirdParty = {};
    $$("#article-_accident_help .pager.thirdpartydetails .nameinput").val("");
    $$("#article-_accident_help .pager.thirdpartydetails .registrationinput").val("");
    $$("#article-_accident_help .pager.thirdpartydetails .contactinput").val("");
    
    app.subNext(this,"thirdpartydetails");
});

$$("#article-_accident_help .pager.thirdpartydetails .bottombutton.done").touch(function(evt)
{
    softsure.runningData.currentIncedent.currentThirdParty.name = $$("#article-_accident_help .pager.thirdpartydetails .nameinput").val();
    softsure.runningData.currentIncedent.currentThirdParty.registration = $$("#article-_accident_help .pager.thirdpartydetails .registrationinput").val();
    softsure.runningData.currentIncedent.currentThirdParty.contact = $$("#article-_accident_help .pager.thirdpartydetails .contactinput").val();
    
    if (softsure.runningData.currentIncedent.currentThirdParty.name !== "")
    {
        if (softsure.runningData.currentIncedent.currentThirdParty.index === undefined)
        {
            softsure.runningData.currentIncedent.currentThirdParty.index = softsure.runningData.currentIncedent.thirdParties.push(softsure.runningData.currentIncedent.currentThirdParty)-1;
            $$("#article-_accident_help .pager.thirdparty .panelbox").append("<div class='button required thirdpartycontact' data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"'><div class='gloss'></div><div class='text'>"+softsure.runningData.currentIncedent.currentThirdParty.name+"</div></div>");
        }
        else 
        {
            softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = softsure.runningData.currentIncedent.currentThirdParty;
            $$("#article-_accident_help .pager.thirdparty .panelbox .thirdpartycontact[data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"'] .text").html(softsure.runningData.currentIncedent.currentThirdParty.name);
        }
        
        setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
    }
});

$$("#article-_accident_help .pager.thirdpartydetails .bottombutton.delete").touch(function(evt) 
{
    app.subNext(this,"thirdpartydelete");
});

$$("#article-_accident_help .pager.thirdpartydelete .bottombutton.yes").touch(function(evt) 
{
    if (softsure.runningData.currentIncedent.currentThirdParty.index !== undefined) 
    {
        softsure.runningData.currentIncedent.thirdParties[softsure.runningData.currentIncedent.currentThirdParty.index] = undefined;
        $$("#article-_accident_help .pager.thirdparty .panelbox .thirdpartycontact[data-id='"+softsure.runningData.currentIncedent.currentThirdParty.index+"']").remove();
    }
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.thirdpartydelete .bottombutton.no").touch(function(evt)
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.thirdparty .bottombutton.done").touch(function(evt) 
{
    $$("#article-_accident_help .pager.record_incident .button.thirdparty").addClass("filled");
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help')); },1);
});

$$("#article-_accident_help .pager.incedent_diary .button.incedent").touch(function(evt) 
{
    softsure.runningData.currentIncedent = softsure.incedentDiary[parseInt($$(this).data('id'))];
    app.subNext(this,"record_incident");
});

$$("#article-_accident_help .pager.record_incident .bottombutton.done").touch(function(evt) 
{
    if (softsure.runningData.currentIncedent.date === undefined) 
    {
        softsure.alert("Please enter a date");
    } 
    else
    {
        if (softsure.runningData.currentIncedent.index === undefined)
        {
            softsure.runningData.currentIncedent.index = softsure.incedentDiary.push(softsure.runningData.currentIncedent)-1;
            var name = softsure.runningData.currentIncedent.date.toDateString();
            
            if (softsure.runningData.currentIncedent.time) name += " "+softsure.runningData.currentIncedent.time;
                $$("#article-_accident_help .pager.incedent_diary .panelbox").append("<div class='button required incedent' data-id='"+softsure.runningData.currentIncedent.index+"'><div class='gloss'></div><div class='text'>"+name+"</div></div>");
        }
        else 
        {
            softsure.incedentDiary[softsure.runningData.currentIncedent.index] = softsure.runningData.currentIncedent;
        }
	
        softsure.saveState();
        app.subNext(this,"doneadd");
    }
});

$$("#article-_accident_help .pager.doneadd .bottombutton.done").touch(function(evt) 
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .button.photos").touch(function(evt) 
{
    app.subNext(this,"incident_gallery");
});

$$("#article-_accident_help .pager.incident_gallery .gallery_element.take_photo").touch(function(evt) 
{
    navigator.camera.getPicture( function (imageData) 
    {	
        var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
        $$("#article-_accident_help .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+ 
                imageData+");' data-id='"+id+"'></div>");}, function(err) { console.log(err);}, { quality : 75, destinationType : Camera.DestinationType.DATA_URL, 
                sourceType : Camera.PictureSourceType.CAMERA, allowEdit : true, encodingType: Camera.EncodingType.JPEG, mediaType: Camera.MediaType.PICTURE,
                saveToPhotoAlbum: false, cameraDirection: Camera.Direction.BACK } );
																							
});

$$("#article-_accident_help .pager.incident_gallery .gallery_element.from_gallery").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.currentIncedent.images.push(imageData)-1;	
		$$("#article-_accident_help .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_accident_help .pager.incident_gallery .gallery_element.image").touch(function(evt) 
{
    if ($$("#article-_accident_help .pager.incident_gallery .panelbox").hasClass("deletemode"))
    {
        if ($$(this).html() === "")
        {
            $$(this).html("<div class='deleteimage'><div class='icon'></div></div>");
        }
        else
        {
			$$(this).html("");
	}
    }
});

$$("#article-_accident_help .pager.incident_gallery .bottombutton.delete").touch(function(evt) 
{
    if ($$("#article-_accident_help .pager.incident_gallery .panelbox").hasClass("deletemode")) 
    {
        $$("#article-_accident_help .pager.incident_gallery .panelbox .image").each(function() 
        {
            var _this = $$(this);
            
            if (_this.html() !== "") 
            {
                softsure.runningData.currentIncedent.images[_this.data('id')] = undefined;
                _this.remove();
            }
        });
        
        $$("#article-_accident_help .pager.incident_gallery .panelbox").removeClass("deletemode"); 
    } 
    else 
    {
        $$("#article-_accident_help .pager.incident_gallery .panelbox").addClass("deletemode");
    }
});

$$("#article-_accident_help .pager.incident_gallery .bottombutton.done").touch(function(evt)
{
    $$("#article-_accident_help .pager.record_incident .button.photos").addClass("filled");
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager.incedent_diary .bottombutton.done").touch(function(evt) 
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager .bottombutton.cancel").touch(function(evt) 
{  
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager.time .bottombutton.cancel").touch(function(evt) {
    //Hide accidentDate and accidentTime divs for performance
    HideAccDateTime();
});

$$("#article-_accident_help .pager.date .bottombutton.cancel").touch(function(evt) {
    //Hide accidentDate and accidentTime divs for performance
    HideAccDateTime();
});

$$("#article-_accident_help .pager.record_incident .button.policereport").touch(function(evt) 
{
    app.subNext(this,"policereport");
});

$$("#article-_accident_help .pager.policereport .bottombutton.done").touch(function(evt)
{
    softsure.runningData.currentIncedent.policeReport = $$("#article-_accident_help .pager.policereport input.policeinput").val();
    
    $$("#article-_accident_help .pager.record_incident .button.policereport").addClass("filled");
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_accident_help'));},1);
});

$$("#article-_accident_help .pager .iconbutton.request_ambulance").touch(function(evt) 
{
    if (softsure.userdetails === undefined) 
    {
        softsure.alert("Not logged in.");
        return;
    }
    
    softsure.executeTask("CALLBACK_AFFINITY", function(res) 
    {
        if (res.Status == "Success") 
        {
            softsure.alert("Successfully submitted. We'll contact you shortly.");
        } 
        else 
        {
            softsure.alert("Failed to submit. Please try again or use the Call Now button.");
        }
    }, {
		Request: "AMBULANCE",
		Coordinates: softsure.lastCoordinates,
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_accident_help .pager .iconbutton.request_towtruck").touch(function(evt) {
	if (softsure.userdetails === undefined) {
		softsure.alert("Not logged in.");
		return;
	}
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "TOWTRUCK",
		Coordinates: softsure.lastCoordinates,
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_accident_help .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("021 833 1218");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	if (softsure.userdetails === undefined) {
		softsure.alert("Not logged in.");
		return;
	}
	softsure.executeTask("CALLBACK_AFFINITY", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_accident_help .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("021 833 1218");
});

function HideAccDateTime()
{
    var accDateDiv = $$(".accidentDate");
    var accTimeDiv = $$(".accidentTime");
        
    if(accDateDiv.css("display") != "none")
    {
        accDateDiv.hide();
    }
        
    if(accTimeDiv.css("display") != "none")
    {
        accTimeDiv.hide();
    }
}
