document.addEventListener("articleLoad",function(evt) 
{
    if (evt.param == "_carhire") 
    {
        var today = new Date();
        
        //Populate Months
        $$("#article-_carhire .monthspinner").html("<li>&nbsp;</li>");
        
        for(var k = 0; k < 12; k++)
        {
            if (k == today.getMonth())
            {
                $$("#article-_carhire .monthspinner").append("<li class='selected'>" + (k+1) + "</li>");
            }
            else 
            {
                $$("#article-_carhire .monthspinner").append("<li>" + (k+1) + "</li>");
            }
        }
        
        //Blank at bottom
        $$("#article-_carhire .monthspinner").append("<li>&nbsp;</li>");
        
        //Populate Days
        $$("#article-_carhire .dayspinner").html("<li>&nbsp;</li>");
        
        for(var k = 0; k < 31; k++)
        {
            if (k+1 == today.getDate())
            {
                $$("#article-_carhire .dayspinner").append("<li class='selected'>"+ (k+1) +"</li>");
            }
            else 
            {
                $$("#article-_carhire .dayspinner").append("<li>"+(k+1)+"</li>");
            }
        }
        
        $$("#article-_carhire .dayspinner").append("<li>&nbsp;</li>");
        
        softsure.runningYearStart = (today.getFullYear())-2000;
	softsure.runningYearEnd = (today.getFullYear())-1990;
        
        //Populate Years
        $$("#article-_carhire .yearspinner").html("<li>&nbsp;</li>");
        
	for(var k = softsure.runningYearStart; k < softsure.runningYearEnd; k++)
        {
            if (k % 100 == softsure.runningYearStart) 
            {
                $$("#article-_carhire .yearspinner").append("<li class='selected'>"+(k % 100)+"</li>");
            }
            else 
            {
                $$("#article-_carhire .yearspinner").append("<li>"+(k % 100)+"</li>");
            }
	}
        
        //Blank at bottom
        $$("#article-_carhire .yearspinner").append("<li>&nbsp;</li>");
        $$("#article-_carhire .pager.date .panelbox .header").html(today.toDateString());
        
        //Populate hours
        $$("#article-_carhire .hourspinner").html("<li>&nbsp;</li>");

        for(var k = 0; k < 24; k++)
        {
            var number = ""+k;
            
            if (number.length == 1) 
            {
                number = "0"+number;
            }
            
            if (k == today.getHours()) 
            {
                $$("#article-_carhire .hourspinner").append("<li class='selected'>"+(number)+"</li>");
            }
            else 
            {
                $$("#article-_carhire .hourspinner").append("<li>"+(number)+"</li>");
            }
        }
        
        //Blank at bottom
        $$("#article-_carhire .hourspinner").append("<li>&nbsp;</li>");
        
        //Populate Minutes
        $$("#article-_carhire .minutespinner").html("<li>&nbsp;</li>");
        
        for(var k = 0; k < 60; k++)
        {
            var number = ""+k;
            
            if (number.length == 1)
            {
                number = "0"+number;
            }
            
            if (k == today.getMinutes())
            {
                $$("#article-_carhire .minutespinner").append("<li class='selected'>"+(number)+"</li>");
            }
            else 
            {
                $$("#article-_carhire .minutespinner").append("<li>"+(number)+"</li>");
            }
        }
        
        //Blank at bottom of list
        $$("#article-_carhire .minutespinner").append("<li>&nbsp;</li>");

        var time = "" + today.getMinutes();
	
        if (time.length == 1)
        {
            time = "0"+time;
        }
        
        time =  today.getHours()+":"+time;
	
        if (time.length == 4) 
        {
            time = "0"+time;
        }
        
        $$("#article-_carhire .pager.time .panelbox .header").html(time);
            
        softsure.runningData = {};
	softsure.runningData.pickup = {};
	softsure.runningData.dropoff = {};
		
        //GEOLOCATION        
        navigator.geolocation.getCurrentPosition(function(pos) {
            var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			
            if (myLocation !== "")
            {
                softsure.runningData.map.panTo(myLocation);
            }
            
            softsure.runningData.map.setZoom = 15;
	},function(){},{ maximumAge: 3000, enableHighAccuracy: true });
        
        if (softsure.runningData.map == null) {
            softsure.runningData.map = new google.maps.Map($$("#article-_carhire .pager.map .panelbox")[0], {
                mapTypeId: google.maps.MapTypeId.ROADMAP,
                zoom: 15,
                mapTypeControl: false,
		streetViewControl: false,
		overviewMapControl: false,
		panControl: false,
		scaleControl: false,
			
            });
            
            softsure.runningData.map.markersArray = [];
        }
		
        $$("#article-_carhire .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
            evt.stopImmediatePropagation();
	},false);
		
        var bottom = ($$("#article-_carhire .pager.map .panelbox")[0].clientHeight/2)-8;
        var left = ($$("#article-_carhire .pager.map .panelbox")[0].clientWidth/2)-16;
        
        $$("#article-_carhire .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
		
        //DATE DIV CLICK
        $$("#article-_carhire .dateblock").on('touchend',function(evt)
        {
            //Before allowing date selection, unhide date div
            $(".carhireDate").show();
                    
            softsure.runningData.current = this.parentElement.classList[0];
            var targetDate = (softsure.runningData[softsure.runningData.current] != null?softsure.runningData[softsure.runningData.current].date:undefined);
            
            if (targetDate === undefined) 
            {
                var today = new Date();
                    
                setTimeout(function() {
                    $$("#article-_carhire .yearspinner")[0].scrollTop = 0;
                    $$("#article-_carhire .yearspinner > li").removeClass("selected");
                    $$("#article-_carhire .yearspinner > li")[1].classList.add("selected");
                        
                    $$("#article-_carhire .monthspinner")[0].scrollTop = (today.getMonth()) * $$("#article-_carhire .monthspinner > li")[0].clientHeight;
                    $$("#article-_carhire .monthspinner > li").removeClass("selected");
                    $$("#article-_carhire .monthspinner > li")[today.getMonth()+1].classList.add("selected");
                        
                    $$("#article-_carhire .dayspinner")[0].scrollTop = (today.getDate()-1) * $$("#article-_carhire .dayspinner > li")[0].clientHeight;
                    $$("#article-_carhire .dayspinner > li").removeClass("selected");
                    $$("#article-_carhire .dayspinner > li")[today.getDate()].classList.add("selected");
                },1);
            } 
            else 
            {
                var date = new Date(targetDate);
                    
                setTimeout(function() {
                    var yearmarker = ((date.getFullYear() % 100) - softsure.runningYearStart);
                    $$("#article-_carhire .yearspinner")[0].scrollTop = yearmarker * $$("#article-_carhire .yearspinner > li")[0].clientHeight;
                    $$("#article-_carhire .yearspinner > li").removeClass("selected");
                    $$("#article-_carhire .yearspinner > li")[yearmarker+1].classList.add("selected");
                        
                    $$("#article-_carhire .monthspinner")[0].scrollTop = (date.getMonth()) * $$("#article-_carhire .monthspinner > li")[0].clientHeight;
                    $$("#article-_carhire .monthspinner > li").removeClass("selected");
                    $$("#article-_carhire .monthspinner > li")[date.getMonth()+1].classList.add("selected");
                        
                    $$("#article-_carhire .dayspinner")[0].scrollTop = (date.getDate()-1) * $$("#article-_carhire .dayspinner > li")[0].clientHeight;
                    $$("#article-_carhire .dayspinner > li").removeClass("selected");
                    $$("#article-_carhire .dayspinner > li")[date.getDate()].classList.add("selected");
                },1);
            }

            app.subNext(this,"date");
        });
		
        //TIME DIV CLICK
	$$("#article-_carhire .timeblock").on('touchend',function(evt) 
        {
            //Before allowing time selection, unhide the time div
            $(".carhireTime").show();

            softsure.runningData.current = this.parentElement.classList[0];
            var targetTime = (softsure.runningData[softsure.runningData.current] != null?softsure.runningData[softsure.runningData.current].time:undefined);
            
            if (targetTime === undefined) 
            {
                var today = new Date();
                setTimeout(function() {
                    $$("#article-_carhire .hourspinner")[0].scrollTop = (today.getHours()) * $$("#article-_carhire .hourspinner > li")[0].clientHeight;
                    $$("#article-_carhire .hourspinner > li").removeClass("selected");
                    $$("#article-_carhire .hourspinner > li")[today.getHours()+1].classList.add("selected");
                    
                    $$("#article-_carhire .minutespinner")[0].scrollTop = (today.getMinutes()) * $$("#article-_carhire .minutespinner > li")[0].clientHeight;
                    $$("#article-_carhire .minutespinner > li").removeClass("selected");
                    $$("#article-_carhire .minutespinner > li")[today.getMinutes()+1].classList.add("selected");
                },1);
            } 
            else 
            {
                var time = targetTime.split(":");
                setTimeout(function() {
                    $$("#article-_carhire .hourspinner")[0].scrollTop = parseInt(time[0])*$$("#article-_carhire .hourspinner > li")[0].clientHeight;
                    $$("#article-_carhire .hourspinner > li").removeClass("selected");
                    $$("#article-_carhire .hourspinner > li")[parseInt(time[0])+1].classList.add("selected");
                    
                    $$("#article-_carhire .minutespinner")[0].scrollTop = parseInt(time[1])*$$("#article-_carhire .minutespinner > li")[0].clientHeight;
                    $$("#article-_carhire .minutespinner > li").removeClass("selected");
                    $$("#article-_carhire .minutespinner > li")[parseInt(time[1])+1].classList.add("selected");
		},1);
            }
            
            app.subNext(this,"time");
        });
		
        $$("#article-_carhire .locblock").on('touchend',function(evt) {
            softsure.runningData.current = this.parentElement.classList[0];
            app.subNext(this,"map");
        });
    }
});

$$("#article-_carhire .mainbutton .get_quote").touch(function(evt) {
    app.subNext(this,"get_quote");
});

$$("#article-_carhire .pager.get_quote .bottombutton.done").touch(function(evt) 
{ 
    softsure.executeTask("CALLBACK_GOLDCLUB", function(res) {
        if (res.Status == "Success") 
        {
            softsure.alert("Successfully submitted. We'll contact you shortly.");
        }
        else 
        {
            softsure.alert("Failed to submit. Please try again or use the Call Now button.");
        }
    }, {
            Request: "CARHIRE",
            Contact: softsure.userdetails.ContactNo,
            Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
            'Pick up Location': softsure.runningData.pickup.location+" GPS: "+softsure.runningData.pickup.lat+", "+softsure.runningData.pickup.lon,
            'Pick up Date':  softsure.runningData.pickup.date.toDateString(),
            'Pick up Time':  softsure.runningData.pickup.time,
            'Drop off Location': softsure.runningData.dropoff.location+" GPS: "+softsure.runningData.dropoff.lat+", "+softsure.runningData.dropoff.lon,
            'Drop off Date':  softsure.runningData.dropoff.date.toDateString(),
            'Drop off Date':  softsure.runningData.dropoff.time,
		
	},null);
    
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager.time .spinner").swipe(function(evt)
{
	var time =$$("#article-_carhire .pager.time .minutespinner .selected").html();
        
	if (time.length == 1) 
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_carhire .pager.time .hourspinner .selected").html()+":"+time;
	
        if (time.length == 4) 
        {
            time = "0"+time;
        }
        
	$$("#article-_carhire .pager.time .panelbox .header").html(time);
});

$$("#article-_carhire .pager.time .bottombutton.done").touch(function(evt)
{
	var time =$$("#article-_carhire .pager.time .minutespinner .selected").html();
        
	if (time.length == 1)
        {
            time = "0"+time;
        }
        
	time =  $$("#article-_carhire .pager.time .hourspinner .selected").html()+":"+time;
        
	if (time.length == 4)
        {
            time = "0"+time;
        }
        
	softsure.runningData[softsure.runningData.current].time = time;
        
	$$("#article-_carhire .pager.get_quote ." + softsure.runningData.current + " .timeinput").val(time);
        
        HideCarHireDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager.time .bottombutton.cancel").touch(function(evt){
    HideCarHireDateTime();
});

$$("#article-_carhire .pager.date .spinner").swipe(function(evt)
{
	var dateString = "";
        
	if (parseInt($$("#article-_carhire .pager.date .yearspinner .selected").html()) >= (new Date().getFullYear() % 100) )
        {
            dateString += "20";
        }
	else
        {
            dateString += "21";
        }
        
	if ($$("#article-_carhire .pager.date .yearspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .monthspinner .selected").html().length == 1)
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .dayspinner .selected").html().length == 1) 
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .dayspinner .selected").html();
	var date = new Date(Date.parse(dateString));
        
	$$("#article-_carhire .pager.date .panelbox .header").html(date.toDateString());
});

$$("#article-_carhire .pager.date .bottombutton.done").touch(function(evt)
{
	var dateString = "";
        
	if (parseInt($$("#article-_carhire .pager.date .yearspinner .selected").html()) >= (new Date().getFullYear() % 100) )
        {
            dateString += "20";
        }
	else
        {
            dateString += "21";
        }
        
	if ($$("#article-_carhire .pager.date .yearspinner .selected").html().length == 1) 
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .yearspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .monthspinner .selected").html().length == 1) 
        {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .monthspinner .selected").html()+"-";
        
	if ($$("#article-_carhire .pager.date .dayspinner .selected").html().length == 1) {
            dateString += "0";
        }
        
	dateString += $$("#article-_carhire .pager.date .dayspinner .selected").html();
        
	var date = new Date(Date.parse(dateString));
	softsure.runningData[softsure.runningData.current].date = date;
        
	$$("#article-_carhire .pager.get_quote ."+softsure.runningData.current+" .dateinput").val(date.toDateString());
       
        HideCarHireDateTime();
        
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager.date .bottombutton.cancel").touch(function(evt) {
    HideCarHireDateTime();
});

$$("#article-_carhire .pager.map .bottombutton.done").touch(function(evt)
{
	softsure.runningData[softsure.runningData.current].lat = softsure.runningData.map.getCenter().lat();
	softsure.runningData[softsure.runningData.current].lon = softsure.runningData.map.getCenter().lng();
	var ref = $$.get('http://maps.googleapis.com/maps/api/geocode/json?latlng=' + softsure.runningData.map.getCenter().lat() +', '+ softsure.runningData.map.getCenter().lng() + '&sensor=false',null, function(response){
		var locres = JSON.parse(response.response);
		if (locres != null && locres.status === "OK")
		{
			softsure.runningData[softsure.runningData.current].location = locres.results[0].formatted_address+"";
			$$("#article-_carhire .pager.get_quote ."+softsure.runningData.current+" .locinput").val(locres.results[0].formatted_address+"");
		}
	},'json');
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire')); },1);
});

$$("#article-_carhire .pager .bottombutton.cancel").touch(function(evt) 
{
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_carhire'));},1);
});

$$("#article-_carhire .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("044 805 3798");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_GOLDCLUB", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_carhire .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("044 805 3798");
});

function HideCarHireDateTime()
{
    var carHireDateDiv = $$(".carhireDate");
    var carHireTimeDiv = $$(".carhireTime");
        
    if(carHireDateDiv.css("display") != "none")
    {
        carHireDateDiv.hide();
    }
        
    if(carHireTimeDiv.css("display") != "none")
    {
        carHireTimeDiv.hide();
    }   
}