document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_findmycar") {
		softsure.runningData = {};
		navigator.geolocation.getCurrentPosition(function(pos) {
			var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
			
			if (myLocation !== "") softsure.runningData.map.panTo(myLocation);
			softsure.runningData.map.setZoom = 15;
		},function(){},{ maximumAge: 3000, enableHighAccuracy: true });
		if (softsure.runningData.map == null) {
			softsure.runningData.map = new google.maps.Map($$("#article-_findmycar .pager.map .panelbox")[0], {
			mapTypeId: google.maps.MapTypeId.ROADMAP,
			zoom: 15,
			mapTypeControl: false,
			streetViewControl: false,
			overviewMapControl: false,
			panControl: false,
			scaleControl: false,
			
			});
		}
		softsure.runningData.directionsService = new google.maps.DirectionsService();
		
		var rendererOptions = {
			map: softsure.runningData.map
		};
		softsure.runningData.directionsDisplay = new google.maps.DirectionsRenderer(rendererOptions);


		
		$$("#article-_findmycar .pager.map .panelbox")[0].addEventListener("touchstart",function(evt){
			evt.stopImmediatePropagation();
		},false);
		
		var bottom = ($$("#article-_findmycar .pager.map .panelbox")[0].clientHeight/2)-8;
        var left = ($$("#article-_findmycar .pager.map .panelbox")[0].clientWidth/2)-16;
        $$("#article-_findmycar .pager.map .panelbox").append("<div style='bottom: "+bottom+"px; left: "+left+"px;' class='mappin'></div>");
	}
});

$$("#article-_findmycar .mainbutton .save_location").touch(function(evt) {
	softsure.runningData.saveMode = true;
	$$("#article-_findmycar .pager.map .panelbox .mappin").css("display","block");
	if (softsure.runningData.myCarMarker) softsure.runningData.myCarMarker.setMap(null);
	app.subNext(this,"map"); 
});

$$("#article-_findmycar .mainbutton .view_location").touch(function(evt) {
	if (softsure.myCarPosition === undefined) {
		softsure.alert("Vehicle location not saved yet.");
		return;
	}
	navigator.geolocation.getCurrentPosition(function(pos) {
		var myLocation = new google.maps.LatLng(pos.coords.latitude, pos.coords.longitude);	
		
		if (myLocation !== "") softsure.runningData.map.panTo(myLocation);
		softsure.runningData.map.setZoom = 15;
	},function(){},{ maximumAge: 3000, enableHighAccuracy: true });
	$$("#article-_findmycar .pager.map .panelbox .mappin").css("display","none");
	softsure.runningData.saveMode = false;
	if (softsure.runningData.myCarMarker) {
    	softsure.runningData.myCarMarker.setMap(null);
    }

    var marker = new google.maps.Marker({
        position: softsure.myCarPosition, 
        map: softsure.runningData.map,
        icon: { url: "img/pin.svg", anchor: new google.maps.Point(16, 58), scaledSize: (app.deviceType=="android"?new google.maps.Size(32, 64):undefined)
}
    });

	softsure.runningData.myCarMarker = marker;
	
	app.subNext(this,"map"); 
});

$$("#article-_findmycar .pager.map .bottombutton.done").touch(function(evt) {
	if (softsure.runningData.saveMode) {
		softsure.myCarPosition = { lat: softsure.runningData.map.getCenter().lat(), lng:softsure.runningData.map.getCenter().lng()};
		softsure.saveState();
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_findmycar'));},1);
});

$$("#article-_findmycar .pager .bottombutton.cancel").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_findmycar'));},1);
});