document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_finesprotect") {
		softsure.runningData = {};
	}
});

$$("#article-_finesprotect .mainbutton .register").touch(function(evt) {
	app.subNext(this,"register");
});

$$("#article-_finesprotect .button.id_photo").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		softsure.runningData.id_photo = imageData;	
		$$("#article-_finesprotect .pager.register .button.id_photo").addClass("filled");
			}, function(err) { console.log(err);}, { quality : 75,  
                                    destinationType : Camera.DestinationType.DATA_URL,  
                                    sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
                                    allowEdit : true,
                                    encodingType: Camera.EncodingType.JPEG,
                                    mediaType: Camera.MediaType.PICTURE,
                                    saveToPhotoAlbum: false,
                                    cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_finesprotect .pager.register .bottombutton.done").touch(function(evt) {
	var name = $$("#article-_finesprotect .pager.register .nameinput").val();
	var age = $$("#article-_finesprotect .pager.register .ageinput").val();
	var policy = softsure.runningData.policy;
	if (name !== "" && age !== "" && policy !== "" && $$("#article-_finesprotect .pager.register .button.id_photo").hasClass("filled")) {           
            var files = {};
            files['IDPhoto'] = atob(softsure.runningData.id_photo);
		softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
			if (res.Status == "Success") {
				softsure.alert("Successfully submitted. Confirmation will be sent via e-mail or SMS.");
			} else {
				softsure.alert("Failed to submit. Please try again or use the Call Now button.");
			}
		}, {
			Request: "REGISTER",
			Contact: softsure.userdetails.ContactNo,
			Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
			"Register name": name,
			"Register age": age,
			"Register policy": policy,
		},files);
		setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_finesprotect')); },1);
	} else {
		softsure.alert("Please fill in all form fields.");
	}
});

$$("#article-_finesprotect .pager.register .bottombutton.cancel").touch(function(evt) {
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_finesprotect')); },1);
});

$$("#article-_finesprotect .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("0861 001 008");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_finesprotect .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("0861 001 008");
});

$$("#article-_finesprotect .pager.register .button.policynumber").touch(function(evt) {
	var _this = this;
	softsure.service("getPolicyData",{UserDetails:softsure.user},function(res){
		var policies = [];
		if (softsure.isArray(res.Policy)) {
			for(var index in res.Policy) {
				policies.push(res.Policy[index]);
			}
		}
		else
			policies.push(res.Policy);
		$$("#article-_finesprotect .pager.select_policy .optionslist").html("");
		for(var k = 0; k < policies.length; k++) {
			$$("#article-_finesprotect .pager.select_policy .optionslist").append("<div data-value='"+policies[k].PolicyNo+"'>"+policies[k].PolicyNo+"</div>");
		}
		app.subNext(_this,"select_policy");
	});
});

$$("#article-_finesprotect .pager.select_policy .bottombutton.done").touch(function(evt) {
	if ($$("#article-_finesprotect .pager.select_policy .optionslist > div.selected").length > 0) {
		softsure.runningData.policy = $$("#article-_finesprotect .pager.select_policy .optionslist > div").first().data("value");
		$$("#article-_finesprotect .pager.register .button.policynumber").addClass("filled");
	}
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_finesprotect'));},1);
});

$$("#article-_finesprotect .optionslist > div").touch(function(evt) {
	for(var k = 0; k < this.parentElement.children.length; k++) {
		this.parentElement.children[k].classList.remove("selected");
	}
	$$(this).addClass("selected");
});