app.articleMenu("_menu");

String.prototype.chunk = function(n) {
    var ret = [];
    for(var i=0, len=this.length; i < len; i += n) {
       ret.push(this.substr(i, n));
    }
    return ret;
};

String.prototype.reverse = function(n) {
    return this.split("").reverse().join("");
};

$$(".action.register").touch(function() {
    app.subNext(this,"register");
});

$$(".action.password").touch(function() {
    $$("input").blur();
	app.subNext(this,"lost");
});

$$(".button.cancel").touch(function() {
	var main = $$("#popup-_login");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_login')); },1);
});

$$(".morehint").touch(function() {
	app.subNext(this,"help1");
});




//LOG IN
$$('#popup-_login .login.button').touch(function() {
	var email = $$("#popup-_login > .login .email").val();
	var password = $$("#popup-_login > .login .password").val();
    var loginPage = this;

	softsure.userService('ValidateUsername',
        { userObj: {Password:password, SystemDomain:"%%REGSYSTEM%%", Username:email}  },
        function(result)
        {

    		if (result.Status == "statusSuccess")
            {
                softsure.user = {   System:"%%REGSYSTEM%%" , Username: result.UserDetails.Username , Password: password,
                                    Email: result.UserDetails.UserEmail, IDNumber: result.UserDetails.UserId , MobileNo: result.UserDetails.UserMobile };

				setTimeout(function() {
                        reselectMenuIcon(app.menu);

                        app.rotateElementsRev(document.getElementById('popup'));
                        setTimeout(function() {$$("#popup").css('z-index',-10);},500);

                        softsure.loggedIn();
                    },1);
    		}
            else
            {
                if(result.Validation == "badPin")
                {
                    softsure.alert("Activation with SMS pin was not done. Please confirm your registration using a one-time-PIN. ");
                    app.subNext(loginPage, "registerConfirm");
                }
                else
                {
                    softsure.alert("Login failure. Please check your details.");
                }
		  }
	});
});







function replace(template,target,val) {
	return template.replace("$_"+target.toUpperCase()+"_$",val);
}

function clearPolicies() {
	$$("#popup-_profile .policylist").html("");
}

function toPos(num) {
	var val = parseInt(num);
	if (((val % 10) == 1) && ((val < 11) || (val > 20))) return num+"st";
	if (((val % 10) == 2) && ((val < 11) || (val > 20))) return num+"nd";
	if (((val % 10) == 3) && ((val < 11) || (val > 20))) return num+"rd";
	return num+"th";
}

function bankingDebitToHR(data,freq) {
	switch(freq) {
		case "Monthly":
			return toPos(data)+" of month";
			break;
	}
}

function valToMoneyHR(data) {
	var raw = (""+data).split('.');

    // If no decimal place, add it
    if (raw.length == 1)
    {
        raw.push("00");
    }

	var str = ""+raw[0];
	return "R "+(str.reverse().chunk(3).join(" ").reverse())+"."+raw[1];
}

function parsePolicyAndGenerate(template,Policy) {
	window.last_p = Policy;
	$$("#popup-_profile .policylist").append("<div class='button highlighted' data_policyno='"+Policy.PolicyNo+"'><div class='gloss'></div><div class='text'/>"+Policy.PolicyNo+"</div></div>");
	template = replace(template,"title",Policy.Vehicles.VehicleDetail.CoverCde);
    template = replace(template,"name",Policy.InsuredDetail.FirstName+" "+Policy.InsuredDetail.Surname);
	template = replace(template,"policy",Policy.PolicyNo);
	template = replace(template,"premium", valToMoneyHR(Policy.TotalPremium));
	template = replace(template,"excess","");
	template = replace(template,"ncb","");
	template = replace(template,"debit",bankingDebitToHR(Policy.BankingDetail.DebitDay,Policy.PaymentFrequency));
	template = replace(template,"cover","");
	console.log(template);
	$$("#popup-_profile").append("<div class='pager fullscreen policy' data_policyno='"+Policy.PolicyNo+"'>"+template+"</div>");
}





//USER PROFILE PAGE (LOGIN SCREEN / PROFILE INFORMATION IF LOGGED IN)
document.addEventListener("popupLoad",function(evt) {

    //Note: softsure.userdetails is set by the loggedIn function in softsure.js. It queries the server and sets this object.

	if (evt.param == "_profile") {
		$$("#popup-_profile input.nameinput").val(softsure.userdetails.FirstName+" "+softsure.userdetails.Surname);
		$$("#popup-_profile input.ageinput").val(softsure.userdetails.CustomerAge);
		$$("#popup-_profile textarea.addressinput").val(softsure.userdetails.AddressLine1+"\n"+softsure.userdetails.AddressLine2);
		$$("#popup-_profile .policylist").html("loading...");

        //get policy information
		softsure.service("getPolicyData", {UserDetails: softsure.user}, function(res){
			if (softsure.isArray(res.Policy))
				softsure.userdetails = res.Policy[0].InsuredDetail;
			else
				softsure.userdetails = res.Policy.InsuredDetail;

			$$("#popup-_profile input.nameinput").val(softsure.userdetails.FirstName+" "+softsure.userdetails.Surname);
			$$("#popup-_profile input.ageinput").val(softsure.userdetails.CustomerAge);
			$$("#popup-_profile textarea.addressinput").val(softsure.userdetails.AddressLine1+"\n"+softsure.userdetails.AddressLine2);

			if (softsure.isArray(res.Policy))
				softsure.userdetails = res.Policy[0].InsuredDetail;
			else
				softsure.userdetails = res.Policy.InsuredDetail;

			clearPolicies();
			var templateElement = $$("#popup-_profile .policy.template");
			if (softsure.isArray(res.Policy))
				for(var k = 0; k < res.Policy.length; k++)
				{
					parsePolicyAndGenerate(templateElement.html(),res.Policy[k]);
				}
			else
			{
				parsePolicyAndGenerate(templateElement.html(),res.Policy);
			}
		});
	}
});




document.addEventListener("popupOpen",function(evt) {
	if (evt.param == "_profile") {
		if (!$$("#popup-_profile .pager:nth-of-type(2)").hasClass("profile")) {
			setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_profile')); },1);
		}
	}
});

$$(".policyblock .button").touch(function() {
	var policyNo = $$(this).attr('data_policyno');
	app.subNext(this,"policy[data_policyno='"+policyNo+"']");
});

$$("#popup-_profile .policy").swipeRight(function(evt){
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_profile')); },1);
	evt.cancelBubble = true;
	evt.returnValue = false;
	evt.stopImmediatePropagation();
	evt.stopPropagation();
	evt.preventDefault();
});

$$("#popup-_login .lost, #popup-_login .tnc, popup-_login").swipeRight(function(evt){
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('popup-_login')); },1);
	evt.cancelBubble = true;
	evt.returnValue = false;
	evt.stopImmediatePropagation();
	evt.stopPropagation();
	evt.preventDefault();
});

$$("#popup-_profile .logoutbutton").touch(function() {
        app.articleMenu("_menu");
        reselectMenuIcon("_menu");

        softsure.logOut();
	   //app.back();
});








//REGISTER NEW USER
$$("#popup-_login .button.register").touch(function() {

	var email = $$("#popup-_login > .register .email").val();
	var password = $$("#popup-_login > .register .password").val();
	var cpassword = $$("#popup-_login > .register .cpassword").val();
	var idnumber = $$("#popup-_login > .register .idnumber").val();

    var registerPage = this;

	if ((cpassword === password) && (password !== "") && (email !== "") && (idnumber !== ""))
        {
            //check if already registered
           softsure.userService('ValidateUsername',
             { userObj: {Password:password, SystemDomain:"%%REGSYSTEM%%", Username:email}  },
             function(result)
             {
                    if(result.Validation == "badPin")
                    {
                        //Already registered, confirm PIN
                        app.subNext(registerPage,"registerConfirm");
                        softsure.alert("You have already been registered. Please activate your account by entering your one-time-PIN.");
                    }
                    else
                    {
                        //New registration, send request (Stage 1)
                        softsure.userService('RegisterUser',
                            { userObj: {CustomerId:idnumber, Email:email, Username:email, Password:password, SystemDomain:"%%REGSYSTEM%%"} },
                            function(result) {

                            if (result.Status == "statusSuccess") {
                                //Proceed to PIN verification
                                app.subNext(registerPage, "registerConfirm");
                                softsure.alert("Registration successful. A one-time-PIN has been sent to you.");
                            }
                            else
                            {
                                softsure.alert("Error with registration. " + result.StatusDesc);
                            }
                        });
                    }
                });
        }
        else
        {
            softsure.alert("Invalid details. Please check the details.");
        }
});

//CONFIRM REGISTRATION
$$("#popup-_login .button.confirm").touch(function() {

    var idnumber = $$("#popup-_login > .register .idnumber").val();
    var email = $$("#popup-_login > .register .email").val();
    var password = $$("#popup-_login > .register .password").val();
    var pincode = $("#popup-_login > .registerConfirm .pincode").val();
    var thisPage = this;

    if(pincode != "")
    {
        //Finalizing registration, send pin (Stage 2)
        softsure.userService('ConfirmRegistration',
            { userObj: {CustomerId:idnumber, Email:email, Username:email, Password:password, pin:pincode, SystemDomain:"%%REGSYSTEM%%"}},
            function(result) {
                if (result.Validation == "success")
                {
                    softsure.alert("Registration complete. Please log in.");
                    app.subNext(thisPage,"login");
                }
                else
                {
                    softsure.alert("PIN Code Validation failed.");
                }
        });
    }
    else
    {
        softsure.alert("No PIN Code entered.");
    }
});




//RESEND PIN VIA SMS
$$("#popup-_login #resendPinButtons .button.resendpinsms").touch(function() {

    //because we can arrive at this page from both the login screen and the register screen,
    //check which one has the username entered in
    if ( $$("#popup-_login > .register .email").val() !== "" )
    {
        var email = $$("#popup-_login > .register .email").val();
    }
    else
    {
        var email = $$("#popup-_login > .login .email").val();
    }


    if (email !== "")
    {
        softsure.userService('ResendPin', {username: email}, function(result)
        {
            if(result.Validation == "success")
            {
                softsure.alert(result.StatusDesc);
            }
            else
            {
                softsure.alert(result.StatusDesc);
            }
        });
    }
});




//RESEND PIN VIA EMAIL
$$("#popup-_login #resendPinButtons .button.resendpinemail").touch(function() {

    //because we can arrive at this page from both the login screen and the register screen,
    //check which one has the username entered in
     if ( $$("#popup-_login > .register .email").val() !== "" )
    {
            var email = $$("#popup-_login > .register .email").val();
    }
    else
    {
            var email = $$("#popup-_login > .login .email").val();
    }

    if (email !== "")
    {
        softsure.userService('ResendPinAsEmail', {username: email}, function(result)
        {
            if(result.Validation == "success")
            {
                softsure.alert(result.StatusDesc);
            }
            else
            {
                softsure.alert(result.StatusDesc);
            }
        });
    }
});



//FORGOT PASSWORD: FIRST SCREEN
$$("#popup-_login .button.request").touch(function() {

    var email = $$("#popup-_login > .lost .email").val();
    var lostPage = this;

    softsure.userService('ForgetPassword', {username:email}, function(result) {

        if (result.Validation == "success") {
            softsure.alert("A one-time-PIN has been sent to you. Please use this change your password.");
            app.subNext(lostPage,"lostReset");
        } else {
            softsure.alert("Invalid user information or system error. Please check and try again.");
        }
    });
});


//FORGOT PASSWORD: UPDATE PASSWORD SCREEN
$$("#popup-_login .button.update").touch(function() {

    var pincode = $$("#popup-_login > .lostReset .pincode").val();
    var password = $$("#popup-_login > .lostReset .password").val();
    var cpassword =$$("#popup-_login > .lostReset .cpassword").val();
    var email = $$("#popup-_login > .lost .email").val();
    var thisPage = this;

    if (pincode !== "" && password !== "" && cpassword !== "") {
        if (password == cpassword) {

            softsure.userService('UpdateForgetPassword', {userObj: {Username:email, PasswordNew:password, pin:pincode} }, function(result) {

                if (result.Validation == "success") {
                    softsure.alert("Your password has been successfully updated.");
                    app.subNext(thisPage,"login");
                } else {
                    softsure.alert(result.StatusDesc);
                }
            });

        } else {
            softsure.alert ("Passwords do not match.");
        }
    }
    else
    {
            softsure.alert ("Fields cannot be empty.");
    }
});




function reselectMenuIcon(target)
{
    if(app.isReady)
    {
        $$("[group="+$$($$("#menu-icon")[0].parentElement).attr('group')+"]").removeClass("selected");

        var nav = $$(".nav[target='" + target + "']");
        var icon = nav.find(".icon");

        //Enable gradient background for only IOS
        if(app.deviceType != "android")
        {
            icon.addClass("showgradient");
        }

        nav.addClass("selected");
    }
}
