document.addEventListener("articleLoad",function(evt) {
	if (evt.param == "_potholeprotect") {
		softsure.runningData = {};
		softsure.runningData.images = [];
	}
});

$$("#article-_potholeprotect .mainbutton .take_photo").touch(function(evt) {
	app.subNext(this,"record_incident");
});

$$("#article-_potholeprotect .button.photos").touch(function(evt) {
	app.subNext(this,"incident_gallery");
});

$$("#article-_potholeprotect .pager .infoboxButton.request_callback").touch(function(evt) {
        var now = new Date();
        if ((now.getUTCHours() < softsure.callbackStartHour) ||  (now.getUTCHours() >= softsure.callbackEndHour)) {
                navigator.notification.confirm(softsure.callbackMessage,function(result){
                    if (result == 1) {
                        softsure.callUsNow("0861 001 008");
                    }
                },"Request Callback",["Call Now","Cancel"]);
		return;
	}
	softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Error sending request.");
		}
	}, {
		Request: "CALLBACK",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},null);
});

$$("#article-_potholeprotect .pager .infoboxButton.call_us_now").touch(function(evt) {
	softsure.callUsNow("0861 001 008");
});

$$("#article-_potholeprotect .pager.incident_gallery .gallery_element.take_photo").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.images.push(imageData)-1;	
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.CAMERA,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
																							
});

$$("#article-_potholeprotect .pager.incident_gallery .gallery_element.from_gallery").touch(function(evt) {
	navigator.camera.getPicture( function (imageData) {	
		var id = softsure.runningData.images.push(imageData)-1;	
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").prepend("<div class='image gallery_element' style='background-image: url(data:image/jpeg;base64,"+imageData+");' data-id='"+id+"'></div>");
			}, function(err) { console.log(err);}, { quality : 75,  
																							destinationType : Camera.DestinationType.DATA_URL,  
																							sourceType : Camera.PictureSourceType.PHOTOLIBRARY,
																							allowEdit : true,
																							encodingType: Camera.EncodingType.JPEG,
																							mediaType: Camera.MediaType.PICTURE,
																							saveToPhotoAlbum: false,
																							cameraDirection: Camera.Direction.BACK } );
});

$$("#article-_potholeprotect .pager.incident_gallery .gallery_element.image").touch(function(evt) {
	if ($$("#article-_potholeprotect .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		if ($$(this).html() === "")
			$$(this).html("<div class='deleteimage'><div class='icon'></div></div>");
		else
			$$(this).html("");
	}
});

$$("#article-_potholeprotect .pager.incident_gallery .bottombutton.delete").touch(function(evt) {
	if ($$("#article-_potholeprotect .pager.incident_gallery .panelbox").hasClass("deletemode")) {
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox .image").each(function() {
			var _this = $$(this);
			if (_this.html() !== "") {
				softsure.runningData.currentIncedent.images[_this.data('id')] = undefined;
				_this.remove();
			}
		});
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").removeClass("deletemode"); 
	} else {
		$$("#article-_potholeprotect .pager.incident_gallery .panelbox").addClass("deletemode");
	}
});

$$("#article-_potholeprotect .pager.incident_gallery .bottombutton.done").touch(function(evt) {
	$$("#article-_potholeprotect .pager.record_incident .button.photos").addClass("filled");
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_potholeprotect'));},1);
});

$$("#article-_potholeprotect .pager .bottombutton.cancel").touch(function(evt) {
    setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_potholeprotect'));},1);
});

$$("#article-_potholeprotect .pager.record_incident .bottombutton.done").touch(function(evt) {
	var files = null;	
	for(var k = 0; k < softsure.runningData.images.length; k++) {
		if (files == null) files = {};
		files['Image '+(k+1)] = atob(softsure.runningData.images[k]);
	}
	softsure.executeTask("CALLBACK_ROADPROTECT", function(res) {
		if (res.Status == "Success") {
			softsure.alert("Successfully submitted. We'll contact you shortly.");
		} else {
			softsure.alert("Failed to submit. Please try again or use the Call Now button.");
		}
	}, {
		Request: "CLAIM POTHOLE",
		Contact: softsure.userdetails.ContactNo,
		Name: softsure.userdetails.FirstName+" "+softsure.userdetails.Surname,
	},files);
	setTimeout(function() {app.rotateElementsFwd(document.getElementById('article-_potholeprotect'));},1);
});